"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var sp_core_library_1 = require("@microsoft/sp-core-library");
var sp_telemetry_1 = require("@ms/sp-telemetry");
var sp_page_context_1 = require("@microsoft/sp-page-context");
var BaseComponentContext = (function () {
    function BaseComponentContext(parameters) {
        var _this = this;
        sp_core_library_1.Validate.isNotNullOrUndefined(parameters, 'parameters');
        sp_core_library_1.Validate.isNotNullOrUndefined(parameters.manifest, 'manifest');
        this.manifest = parameters.manifest;
        sp_core_library_1.Validate.isNotNullOrUndefined(parameters.parentServiceScope, 'parentServiceScope');
        this._serviceScope = parameters.parentServiceScope.startNewChild();
        sp_core_library_1.Validate.isNotNullOrUndefined(parameters.loggingTag, 'loggingTag');
        this.serviceScope.provide(sp_telemetry_1._logSourceServiceKey, sp_telemetry_1._LogSource.create(parameters.loggingTag));
        sp_core_library_1.Validate.isNonemptyString(parameters.instanceId, 'instanceId');
        this._instanceId = parameters.instanceId;
        this.serviceScope.whenFinished(function () {
            _this._pageContext = _this.serviceScope.consume(sp_page_context_1.PageContext.serviceKey);
        });
    }
    Object.defineProperty(BaseComponentContext.prototype, "serviceScope", {
        get: function () { return this._serviceScope; },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(BaseComponentContext.prototype, "instanceId", {
        get: function () { return this._instanceId; },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(BaseComponentContext.prototype, "pageContext", {
        get: function () { return this._pageContext; },
        enumerable: true,
        configurable: true
    });
    return BaseComponentContext;
}());
exports.default = BaseComponentContext;
