/**
 * Utililty code to help manipulate JSON objects/strings.
 * See {@link http://www.json.org} for more information.
 *
 * @alpha
 */
export default class JsonUtilities {
    /**
     * The list of characters that need to be escaped and their substitute characters
     */
    private static _escapableChars;
    private static _substibuteChars;
    /**
     * Encode a json string such that it can be safely transported over a network and be processed
     * in the server side code. And also safely transported back to the client and consumed by
     * JSON.parse().
     *
     * @param json - the json string to encode.
     */
    static encode(json: string): string | undefined;
}
