import Guid from './Guid';
/**
 * This class supports Microsoft's internal deployment workflow.
 *
 * @internal
 */
export default class SPKillSwitch {
    private static _isInitialized;
    private static _activatedKillSwitches;
    /**
     * RESERVED FOR INTERNAL USAGE.  This method is invoked automatically by the system shell.
     * The application code should not call it directly.
     */
    static initialize(killSwitchGuids: {
        [key: string]: boolean;
    }): void;
    /**
     * RESERVED FOR INTERNAL USAGE.  This method is invoked automatically by the system shell.
     * The application code should not call it directly.
     */
    static setDebugKillswitches(debugKillswitches?: string): void;
    /**
     * Returns true if the switch is activated.
     * @param killSwitchGuid - identifier for the kill switch
     * @param date - This parameter does not impact return value of the function.  It
     *        documents the date when the kill switch was introduced, to facilitate bulk cleanup.
     *        The date should be updated if additional fixes are made inside the block.
     * @param featureName - This parameter does not impact return value of the function.
     *        It is an informational tag to facilitate bulk cleanup, e.g. by allowing teams
     *        to search for switches related to their feature.
     * @returns true if the switch is activated, i.e. we should revert to the old behavior
     */
    static isActivated(killSwitchGuid: Guid, date: string, featureName: string): boolean;
}
