"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Guid_1 = require("./Guid");
var Validate_1 = require("./Validate");
var Log_1 = require("./log/Log");
var Session = (function () {
    function Session() {
    }
    Session._initialize = function (data) {
        Validate_1.default.isNotNullOrUndefined(data, 'data');
        Session._applicationId = Guid_1.default.tryParse(data.applicationId) || Guid_1.default.empty;
        var pageIdGuid = Guid_1.default.tryParse(data.pageId);
        if (!pageIdGuid) {
            Log_1.default.warn('Session', 'The pageId parameter was undefined or invalid. Generating a new Guid', undefined);
            pageIdGuid = Guid_1.default.newGuid();
        }
        Session._pageId = pageIdGuid;
    };
    Session._changePage = function () {
        Session._pageId = Guid_1.default.newGuid();
    };
    Object.defineProperty(Session, "applicationId", {
        get: function () {
            return this._applicationId;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(Session, "pageId", {
        get: function () {
            return this._pageId;
        },
        enumerable: true,
        configurable: true
    });
    return Session;
}());
exports.default = Session;
