/**
 * Operations for working with strings that contain text.
 *
 * @remarks
 * The utilities provided by this class are intended to be simple, small, and very
 * broadly applicable.
 *
 * @public
 */
export default class Text {
    private static FORMAT_REGEX;
    private static FORMAT_ARGS_REGEX;
    /**
     * Format a string by substituting parameters.
     *
     * @remarks
     * This function replaces template parameters such as "{0}" or "{1}" with the
     * corresponding argument.  If the value is null or undefined, it will be replaced
     * by the word "null" or "undefined".  The format string s must not be null or
     * undefined.
     *
     * Usage example:
     *
     * Text.format("hello {0}!", "world") will return "hello world!"
     */
    static format(s: string, ...values: any[]): string;
}
