"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Validate_1 = require("../Validate");
var EventManager_1 = require("./EventManager");
var Event = (function () {
    function Event(name) {
        Validate_1.default.isNonemptyString(name, 'name');
        this._name = name;
    }
    Event.prototype.add = function (observer, eventHandler) {
        Validate_1.default.isNotNullOrUndefined(observer, 'component');
        Validate_1.default.isNotNullOrUndefined(eventHandler, 'eventHandler');
        EventManager_1.default.instance.registerEvent(this._name, observer, eventHandler);
    };
    Event.prototype.remove = function (observer, eventHandler) {
        Validate_1.default.isNotNullOrUndefined(observer, 'component');
        Validate_1.default.isNotNullOrUndefined(eventHandler, 'eventHandler');
        EventManager_1.default.instance.unregisterEvent(this._name, observer, eventHandler);
    };
    return Event;
}());
exports.default = Event;
