"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Validate_1 = require("../Validate");
var ServiceKey = (function () {
    function ServiceKey(id, name, defaultCreator) {
        this.id = id;
        this.name = name;
        this.defaultCreator = defaultCreator;
    }
    ServiceKey.create = function (name, serviceClass) {
        Validate_1.default.isNotNullOrUndefined(serviceClass, 'serviceClass');
        return ServiceKey.createCustom(name, function (serviceScope) {
            return new serviceClass(serviceScope);
        });
    };
    ServiceKey.createCustom = function (name, defaultCreator) {
        Validate_1.default.isNonemptyString(name, 'name');
        Validate_1.default.isNotNullOrUndefined(defaultCreator, 'defaultCreator');
        ServiceKey._lastId++;
        var id = ServiceKey._lastId.toString();
        return new ServiceKey(id, name, defaultCreator);
    };
    ServiceKey._lastId = 0;
    return ServiceKey;
}());
exports.default = ServiceKey;
