import ServiceScope from '../serviceScope/ServiceScope';
import { IRandomNumberGenerator } from '../serviceScope/provider/RandomNumberGenerator';
/**
 * This is a test implementation of IRandomNumberGenerator that provides
 * a reproducible sequence of reasonably pseudorandom numbers.
 */
export default class MockRandomNumberGenerator implements IRandomNumberGenerator {
    private static MULTIPLIER;
    private static MODULUS;
    private static MODULUS_HIGH;
    private static MODULUS_LOW;
    private _seed;
    constructor(serviceScope: ServiceScope);
    /**
     * Reset the sequence.
     */
    reset(seed?: number): void;
    /**
     * IRandomNumberGenerator implementation
     */
    generate(): number;
    private _generateInt32();
}
