"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var MockRandomNumberGenerator = (function () {
    function MockRandomNumberGenerator(serviceScope) {
        this.reset();
    }
    MockRandomNumberGenerator.prototype.reset = function (seed) {
        this._seed = (seed && seed !== 0) ? seed : 1;
    };
    MockRandomNumberGenerator.prototype.generate = function () {
        return this._generateInt32() / MockRandomNumberGenerator.MODULUS;
    };
    MockRandomNumberGenerator.prototype._generateInt32 = function () {
        var seedHi = Math.floor(this._seed / MockRandomNumberGenerator.MODULUS_HIGH);
        var seedLow = this._seed % MockRandomNumberGenerator.MODULUS_HIGH;
        this._seed = MockRandomNumberGenerator.MULTIPLIER * seedLow - MockRandomNumberGenerator.MODULUS_LOW * seedHi;
        if (this._seed <= 0) {
            this._seed += MockRandomNumberGenerator.MODULUS;
        }
        return this._seed;
    };
    MockRandomNumberGenerator.MULTIPLIER = 48271;
    MockRandomNumberGenerator.MODULUS = 2147483647;
    MockRandomNumberGenerator.MODULUS_HIGH = Math.floor(MockRandomNumberGenerator.MODULUS / MockRandomNumberGenerator.MULTIPLIER);
    MockRandomNumberGenerator.MODULUS_LOW = MockRandomNumberGenerator.MODULUS % MockRandomNumberGenerator.MULTIPLIER;
    return MockRandomNumberGenerator;
}());
exports.default = MockRandomNumberGenerator;
