"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var lodash = require("@microsoft/sp-lodash-subset");
var Validate_1 = require("../Validate");
var URL_PROTOCOL_REGEX = /^\w+\:\/\//;
var UrlUtilities = (function () {
    function UrlUtilities() {
    }
    UrlUtilities.resolve = function (url, baseUrl) {
        Validate_1.default.isNonemptyString(url, 'url');
        Validate_1.default.isNonemptyString(baseUrl, 'baseUrl');
        var isRelativeUrl = !url.match(URL_PROTOCOL_REGEX);
        if (isRelativeUrl) {
            return UrlUtilities.removeEndSlash(baseUrl) + "/" + UrlUtilities.removeLeadingSlash(url);
        }
        else {
            return url;
        }
    };
    UrlUtilities.removeEndSlash = function (url) {
        return lodash.trimEnd(url, '/');
    };
    UrlUtilities.removeLeadingSlash = function (url) {
        return lodash.trimStart(url, '/');
    };
    UrlUtilities.convertToODataStringLiteral = function (value) {
        Validate_1.default.isNotNullOrUndefined(value, 'value');
        value = value.replace(/'/g, "''");
        value = "'" + value + "'";
        return value;
    };
    return UrlUtilities;
}());
exports.default = UrlUtilities;
