import { ServiceKey, ServiceScope } from '@microsoft/sp-core-library';
/**
 * This class is useful for getting the webServerRelativeUrl to the GraphHttpClient
 * @internal
 */
export default class GraphHttpClientContext {
    /**
     * The service key for GraphHttpClientContext.
     */
    static readonly serviceKey: ServiceKey<GraphHttpClientContext>;
    private _webServerRelativeUrl;
    private _isInitialized;
    constructor(serviceScope: ServiceScope);
    /**
     * The initialize function should be called before the application/components
     * have a chance to make a GraphHttpClient request.
     */
    initialize(webServerRelativeUrl: string): void;
    /**
     * Gets the webServerRelative url of the current page. This value is set by
     * the initialize function. If the value is not set, this function will throw.
     */
    getWebServerRelativeUrl(): string;
}
