"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var sp_core_library_1 = require("@microsoft/sp-core-library");
var decorators_1 = require("@microsoft/decorators");
var HttpClientConfiguration_1 = require("./HttpClientConfiguration");
var HttpClientResponse_1 = require("./HttpClientResponse");
var HttpClientHelper_1 = require("./HttpClientHelper");
var HttpClient = (function () {
    function HttpClient(serviceScope) {
        this._httpClientBase = new HttpClientHelper_1.default(serviceScope, 'HttpClient');
    }
    HttpClient_1 = HttpClient;
    HttpClient.prototype.fetch = function (url, configuration, options) {
        return this._httpClientBase.fetchCore(configuration, new Request(url, options)).then(function (response) {
            return new HttpClientResponse_1.default(response);
        });
    };
    HttpClient.prototype.get = function (url, configuration, options) {
        return this.fetch(url, configuration, this._httpClientBase.overrideHttpMethod(options, 'GET'));
    };
    HttpClient.prototype.post = function (url, configuration, options) {
        return this.fetch(url, configuration, this._httpClientBase.overrideHttpMethod(options, 'POST'));
    };
    HttpClient.configurations = HttpClientConfiguration_1.predefinedConfigurations;
    HttpClient.serviceKey = sp_core_library_1.ServiceKey.create('sp-http:HttpClient', HttpClient_1);
    HttpClient = HttpClient_1 = tslib_1.__decorate([
        decorators_1.sealed
    ], HttpClient);
    return HttpClient;
    var HttpClient_1;
}());
exports.default = HttpClient;
