"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var sp_core_library_1 = require("@microsoft/sp-core-library");
var lodash = require("@microsoft/sp-lodash-subset");
var FetchProvider_1 = require("./FetchProvider");
var HttpClientHelper = (function () {
    function HttpClientHelper(serviceScope, logSource) {
        var _this = this;
        this._serviceScope = serviceScope;
        this._logSource = logSource;
        serviceScope.whenFinished(function () {
            _this._fetchProvider = serviceScope.consume(FetchProvider_1.fetchProviderServiceKey);
        });
    }
    HttpClientHelper.prototype.overrideHttpMethod = function (options, httpRequestMethod) {
        var modifiedOptions = lodash.clone(options || {});
        modifiedOptions.method = httpRequestMethod;
        return modifiedOptions;
    };
    HttpClientHelper.prototype.fetchCore = function (configuration, request) {
        sp_core_library_1.Log.info(this._logSource, request.method + " " + request.url, this._serviceScope);
        return this._fetchProvider.fetch(request);
    };
    return HttpClientHelper;
}());
exports.default = HttpClientHelper;
