/**
 * Internal constants used for the AadTokenProvider
 * @internal
 */
export default class AadConstants {
    /**
     * This string contains the resource used for the login reply url. This resource
     * will wait until the id token has been retrieved.
     */
    static readonly SINGLE_SIGN_ON_REPLY_URL: string;
    /**
     * This string contains the resource used for the login reply url. This resource
     * will wait until the id token has been retrieved.
     */
    static readonly SPFX_SINGLE_SIGN_ON_REPLY_URL: string;
    /**
     * This string contains the redirect query parameter used for the acquireToken reply url. After an access
     * token has been retrieved, the page will redirect to the page attempting to request an access token.
     */
    static readonly REDIRECT_QUERY_PARAM: string;
    /**
     * This guid is the unique identifier for SharePoint Online Web Application Principal.
     * See more here about Application and Service Principals here ->
     * https://docs.microsoft.com/en-us/azure/active-directory/develop/active-directory-application-objects
     */
    static readonly SPO_WEB_APP_PRINCIPAL_ID: string;
    /**
     * This guid is the unique identifier for SharePoint Online Client Extensibility Web Application Principal.
     * See more here about Application and Service Principals here ->
     * https://docs.microsoft.com/en-us/azure/active-directory/develop/active-directory-application-objects
     */
    static readonly SPO_CE_WEB_APP_PRINCIPAL_ID: string;
}
