import { IOAuthUtilityContext, IQosMonitor, ILogger } from '@ms/sp-client-shared';
import { ServiceScope } from '@microsoft/sp-core-library';
import SPHttpClientResponse from '../spHttpClient/SPHttpClientResponse';
/**
 * The DelegationTokenProvider's implementation was moved into the sp-client-shared
 * package so that it can be shared with other teams that are not using sp-client-base
 * platform. To support this, the sp-client-shared package defines an interface
 * ITokenUtilityContext which abstracts the basic services that are needed by that
 * code. TokenUtilityContext is our adapter that wires up this interface to the
 * corresponding services in sp-client-base; it can be considered part of the
 * internal implementation of DelegationTokenProvider; it is not intended to be
 * used by other parts of our framework.
 */
export default class OAuthUtilityContext implements IOAuthUtilityContext {
    private static qosName;
    private _logger;
    private _spHttpClient;
    readonly logger: ILogger;
    readonly webUrl: string;
    constructor(serviceScope: ServiceScope);
    fetchWithDigest(request: Request): Promise<SPHttpClientResponse>;
    qosMonitor(): IQosMonitor;
}
