"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var BatchedRequest = (function () {
    function BatchedRequest(request) {
        var _this = this;
        this.request = request;
        this.response = undefined;
        this._queuedPromiseResolves = [];
        this._queuedPromiseRejects = [];
        this.promise = new Promise(
        function (resolve, reject) {
            if (_this.response !== undefined) {
                resolve(_this.response);
            }
            else {
                _this._queuedPromiseResolves.push(resolve);
                _this._queuedPromiseRejects.push(reject);
            }
        });
    }
    BatchedRequest.prototype.notifyCompleted = function (response) {
        var _this = this;
        this.response = response;
        if (response.ok) {
            this._queuedPromiseResolves.forEach(function (callback) {
                callback(_this.response);
            });
        }
        else {
            var error_1 = new Error('SPHttpClientBatch: Batched request failed');
            this._queuedPromiseRejects.forEach(function (callback) {
                callback(error_1);
            });
        }
        this._queuedPromiseResolves = [];
        this._queuedPromiseRejects = [];
    };
    return BatchedRequest;
}());
exports.default = BatchedRequest;
