import { ServiceScope, ServiceKey } from '@microsoft/sp-core-library';
import IDigestCache from './IDigestCache';
/**
 * The default implementation of IDigestCache.
 *
 * @alpha
 */
export default class DigestCache implements IDigestCache {
    /**
     * The service key for IDigestCache.
     */
    static readonly serviceKey: ServiceKey<IDigestCache>;
    private static REST_EXPIRATION_SLOP_MS;
    private static _logSource;
    private _fetchProvider;
    private _timeProvider;
    private _digestsByUrl;
    constructor(serviceScope: ServiceScope);
    /**
     * Implements IDigestCache
     */
    fetchDigest(webUrl: string): Promise<string>;
    /**
     * Implements IDigestCache
     */
    addDigestToCache(webUrl: string, digestValue: string, expirationTimestamp: number): void;
    /**
     * Implements IDigestCache
     */
    clearDigest(webUrl: string): boolean;
    /**
     * Implements IDigestCache
     */
    clearAllDigests(): void;
}
