"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ODataVersion = (function () {
    function ODataVersion(versionString) {
        this._versionString = versionString;
    }
    ODataVersion.tryParseFromHeaders = function (headers) {
        var oDataVersion;
        headers.forEach(function (value, name) {
            if (name.toUpperCase() === 'ODATA-VERSION') {
                oDataVersion = value.trim();
            }
        });
        if (oDataVersion === '3.0') {
            return ODataVersion.v3;
        }
        else if (oDataVersion === '4.0') {
            return ODataVersion.v4;
        }
        else if (oDataVersion) {
            throw new Error('Unsupported OData-Version header: ' + oDataVersion);
        }
        return undefined;
    };
    ODataVersion.prototype.toString = function () {
        return this._versionString;
    };
    ODataVersion.v3 = new ODataVersion('3.0');
    ODataVersion.v4 = new ODataVersion('4.0');
    return ODataVersion;
}());
exports.default = ODataVersion;
