import { Guid } from '@microsoft/sp-core-library';
import HttpClientResponse from '../httpClient/HttpClientResponse';
/**
 * The Response subclass returned by methods such as SPHttpClient.fetch().
 *
 * @remarks
 * This is a placeholder.  In the future, additional SPHttpClient-specific functionality
 * may be added to this class.
 *
 * @public
 */
export default class SPHttpClientResponse extends HttpClientResponse {
    private _correlationId;
    constructor(response: Response);
    clone(): SPHttpClientResponse;
    /**
     * Returns the SharePoint correlation ID.
     *
     * @remarks
     *
     * The correlation ID is a Guid that can be used to associate log events that
     * are part of the same overall operation, but may originate from different services
     * or components.  SharePoint REST operations return the server's correlation ID
     * as the "sprequestguid" header.
     *
     * @returns the correlation ID, or undefined if the "sprequestguid" header was not found
     *
     * @beta
     */
    readonly correlationId: Guid | undefined;
    /**
     * User-friendly status message that includes the HTTP status, with the correlation id and version of the server.
     * @alpha
     */
    readonly statusMessage: string;
}
