"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var sp_core_library_1 = require("@microsoft/sp-core-library");
var BrowserDeveloperToolsWarning_resx_1 = require("./BrowserDeveloperToolsWarning.resx");
var WARNING_URL = 'https://technet.microsoft.com/en-us/library/bb794823.aspx';
function showBrowserDevToolsWarning() {
    var browserInfo = sp_core_library_1._BrowserDetection.getBrowserInformation();
    var warningHeading = BrowserDeveloperToolsWarning_resx_1.default.warningHeading;
    var warningLine1 = BrowserDeveloperToolsWarning_resx_1.default.warningLine1;
    var warningLine2 = sp_core_library_1.Text.format(BrowserDeveloperToolsWarning_resx_1.default.warningLine2, WARNING_URL);
    if (browserInfo.browser === sp_core_library_1._Browser.Chrome ||
        browserInfo.browser === sp_core_library_1._Browser.Firefox ||
        browserInfo.browser === sp_core_library_1._Browser.Safari) {
        var stylesCss = require('!!raw-loader!./BrowserDeveloperToolsWarning.css');
        var headingCss = (stylesCss.match(/\.heading\s*{([^}]+)}/) || [])[1];
        var otherLinesCss = (stylesCss.match(/\.otherLines\s*{([^}]+)}/) || [])[1];
        console.log("\n%c" + warningHeading + "%c\n" + warningLine1 + "\n\n" + warningLine2 + "\n\n", headingCss, otherLinesCss);
    }
    else {
        console.log("\n" + warningHeading + "\n" + warningLine1 + "\n\n" + warningLine2 + "\n\n");
    }
}
exports.showBrowserDevToolsWarning = showBrowserDevToolsWarning;
