"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var DeveloperToolsFabric_1 = require("./../../../DeveloperToolsFabric");
var LoadingOrErrorModule_module_scss_1 = require("./LoadingOrErrorModule.module.scss");
var LoadingOrErrorModule_resx_1 = require("./LoadingOrErrorModule.resx");
var LoadingOrErrorModule = (function (_super) {
    __extends(LoadingOrErrorModule, _super);
    function LoadingOrErrorModule() {
        return _super.call(this) || this;
    }
    LoadingOrErrorModule.prototype.componentDidMount = function () {
        var _this = this;
        this.props.tab.loadComponent()
            .then(function () {
            _this.forceUpdate();
        })
            .catch(function (error) {
            _this.forceUpdate();
        });
    };
    LoadingOrErrorModule.prototype.render = function () {
        var tab = this.props.tab;
        if (tab.isLoading) {
            return React.createElement("div", { className: LoadingOrErrorModule_module_scss_1.default.loadingModule },
                React.createElement(DeveloperToolsFabric_1.Spinner, { type: DeveloperToolsFabric_1.SpinnerType.large, label: LoadingOrErrorModule_resx_1.default.developerToolsTabLoadingText }));
        }
        else if (tab.loadError || !tab.component) {
            var errorMessage = tab.loadError || LoadingOrErrorModule_resx_1.default.developerToolsTabLoadingUnknownError;
            return React.createElement("div", { className: LoadingOrErrorModule_module_scss_1.default.module },
                React.createElement("div", { "aria-live": 'assertive', className: 'ms-screenReaderOnly', "data-automation-id": 'error-message' }, errorMessage),
                React.createElement("p", { className: DeveloperToolsFabric_1.css('ms-TextField-errorMessage', 'ms-font-l', LoadingOrErrorModule_module_scss_1.default.errorText) }, errorMessage));
        }
        else {
            return React.createElement(tab.component);
        }
    };
    return LoadingOrErrorModule;
}(React.Component));
exports.default = LoadingOrErrorModule;
