"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var sp_core_library_1 = require("@microsoft/sp-core-library");
var PerformanceDisplay_module_scss_1 = require("./PerformanceDisplay.module.scss");
var PerformanceGraph_1 = require("./PerformanceGraph/PerformanceGraph");
var PerformanceHeader_1 = require("./PerformanceHeader/PerformanceHeader");
var PerformanceDisplayStateProvider_1 = require("../../../DataProviders/PerformanceDisplayStateProvider");
var sp_telemetry_1 = require("@ms/sp-telemetry");
var PerformanceDisplay_resx_1 = require("./PerformanceDisplay.resx");
var PerformanceDisplay = (function (_super) {
    __extends(PerformanceDisplay, _super);
    function PerformanceDisplay() {
        var _this = _super.call(this) || this;
        _this._setState = function () {
            _this.setState(PerformanceDisplayStateProvider_1.getState());
        };
        _this.state = PerformanceDisplayStateProvider_1.getState();
        return _this;
    }
    PerformanceDisplay.prototype.componentDidMount = function () {
        sp_telemetry_1._PerformanceLogger.addListener(this._setState);
    };
    PerformanceDisplay.prototype.componentWillUnmount = function () {
        sp_telemetry_1._PerformanceLogger.removeListener(this._setState);
    };
    PerformanceDisplay.prototype.render = function () {
        if (this.state.errorMessage) {
            var errorMessageClass = [PerformanceDisplay_module_scss_1.default.errorMessage, PerformanceDisplay_module_scss_1.default.msFontColorRedDark].join(' ');
            return (React.createElement("div", { className: errorMessageClass },
                PerformanceDisplay_resx_1.default.GeneralErrorMessage,
                React.createElement("br", null),
                sp_core_library_1.Text.format(PerformanceDisplay_resx_1.default.ErrorMessagePrefix, this.state.errorMessage)));
        }
        else {
            return (React.createElement("div", { className: PerformanceDisplay_module_scss_1.default.performanceDisplayContainer },
                React.createElement(PerformanceHeader_1.default, { perfItems: this.state.perfItems, overallDuration: this.state.eupl }),
                React.createElement("div", { className: PerformanceDisplay_module_scss_1.default.graphContainer },
                    React.createElement(PerformanceGraph_1.default, { perfItems: this.state.perfItems, startTime: this.state.startTime, overallDuration: this.state.eupl }))));
        }
    };
    return PerformanceDisplay;
}(React.Component));
exports.default = PerformanceDisplay;
