"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var PerformanceGraph_module_scss_1 = require("./PerformanceGraph.module.scss");
var PerformanceGraphItem_1 = require("./PerformanceGraphItem/PerformanceGraphItem");
var PerformanceDisplay_resx_1 = require("./../PerformanceDisplay.resx");
var PerformanceGraph = (function (_super) {
    __extends(PerformanceGraph, _super);
    function PerformanceGraph(props) {
        var _this = _super.call(this, props) || this;
        _this._scale = Math.ceil(_this.props.overallDuration / 100) * 100;
        return _this;
    }
    PerformanceGraph.prototype.render = function () {
        var _this = this;
        var graphBars = [];
        this.props.perfItems.map(function (item) {
            graphBars.push(React.createElement(PerformanceGraphItem_1.default, { key: item.id, perfItem: item, startTime: _this.props.startTime, overallDuration: _this._scale }));
        });
        var delimiters = [];
        for (var i = 1; i <= 10; i++) {
            delimiters.push(React.createElement("th", { key: i, className: PerformanceGraph_module_scss_1.default.thDelimiter }, i * (this._scale / 10)));
        }
        var nameStyle = [
            PerformanceGraph_module_scss_1.default.tableRowPerfList,
            PerformanceGraph_module_scss_1.default.tableRowRightLight,
            PerformanceGraph_module_scss_1.default.tableRowName
        ].join(' ');
        var durationStyle = [PerformanceGraph_module_scss_1.default.tableRowPerfList, PerformanceGraph_module_scss_1.default.tableRowDuration].join(' ');
        return (React.createElement("div", { className: PerformanceGraph_module_scss_1.default.container },
            React.createElement("table", { className: PerformanceGraph_module_scss_1.default.tableDelimiter },
                React.createElement("thead", null,
                    React.createElement("tr", null,
                        React.createElement("th", { className: nameStyle }, PerformanceDisplay_resx_1.default.ItemsColumnHeader),
                        React.createElement("th", { className: durationStyle }, PerformanceDisplay_resx_1.default.DurationColumnHeader),
                        delimiters)),
                React.createElement("tbody", null, graphBars))));
    };
    return PerformanceGraph;
}(React.Component));
exports.default = PerformanceGraph;
