"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var sp_core_library_1 = require("@microsoft/sp-core-library");
var PerformanceGraphItem_module_scss_1 = require("./PerformanceGraphItem.module.scss");
var PerformanceLegend_module_scss_1 = require("./../../PerformanceHeader/PerformanceLegend/PerformanceLegend.module.scss");
var PerformanceDisplay_resx_1 = require("./../../PerformanceDisplay.resx");
var PerformanceGraphItem = (function (_super) {
    __extends(PerformanceGraphItem, _super);
    function PerformanceGraphItem() {
        var _this = _super.call(this) || this;
        _this._drawGraphBar = _this._drawGraphBar.bind(_this);
        return _this;
    }
    PerformanceGraphItem.prototype.render = function () {
        var nameStyle = [
            PerformanceGraphItem_module_scss_1.default.tableRowPerfList,
            PerformanceGraphItem_module_scss_1.default.tableRowBottomLight,
            PerformanceGraphItem_module_scss_1.default.tableRowRightLight
        ].join(' ');
        var durationStyle = [PerformanceGraphItem_module_scss_1.default.tableRowPerfList, PerformanceGraphItem_module_scss_1.default.tableRowBottomLight].join(' ');
        var graphBar = [];
        var perfItem = this.props.perfItem;
        if (perfItem.breakdown) {
            graphBar.push(this._drawGraphBar(perfItem.breakdown.render.startVal, perfItem.breakdown.render.duration, PerformanceLegend_module_scss_1.default.msBlueMid, PerformanceDisplay_resx_1.default.RenderTimeLegendLabel + " " + perfItem.breakdown.render.duration + " ms"));
            if (perfItem.breakdown.modulesLoaded) {
                graphBar.push(this._drawGraphBar(perfItem.breakdown.modulesLoaded.startVal, perfItem.breakdown.modulesLoaded.duration, PerformanceLegend_module_scss_1.default.msBlue, PerformanceDisplay_resx_1.default.ModuleLoadingTimeLabel + " " + perfItem.breakdown.modulesLoaded.duration + " ms"));
            }
            if (perfItem.breakdown.lazyLoading) {
                graphBar.push(this._drawGraphBar(perfItem.breakdown.lazyLoading.startVal, perfItem.breakdown.lazyLoading.duration, PerformanceLegend_module_scss_1.default.msLightGreen, PerformanceDisplay_resx_1.default.ModuleLazyLoadingDelayLabel + " " + perfItem.breakdown.lazyLoading.duration + " ms"));
            }
            if (perfItem.breakdown.init) {
                graphBar.push(this._drawGraphBar(perfItem.breakdown.init.startVal, perfItem.breakdown.init.duration, PerformanceLegend_module_scss_1.default.msPurpleLight, PerformanceDisplay_resx_1.default.InitializationTimeLabel + " " + perfItem.breakdown.init.duration + " ms"));
            }
            if (perfItem.breakdown.dataFetch) {
                for (var _i = 0, _a = perfItem.breakdown.dataFetch; _i < _a.length; _i++) {
                    var apiCall = _a[_i];
                    graphBar.push(this._drawGraphBar(apiCall.startVal, apiCall.duration, PerformanceLegend_module_scss_1.default.msTealLight, PerformanceDisplay_resx_1.default.DataFetchTimeLabel + " " + apiCall.duration + " ms"));
                }
            }
        }
        else {
            graphBar.push(this._drawGraphBar(perfItem.startVal, perfItem.duration, PerformanceLegend_module_scss_1.default.msThemeTertiary, perfItem.name + " " + perfItem.duration + " ms"));
        }
        return (React.createElement("tr", null,
            React.createElement("td", { className: nameStyle }, this.props.perfItem.name),
            React.createElement("td", { className: durationStyle }, sp_core_library_1.Text.format(PerformanceDisplay_resx_1.default.MillisecondsUnitLabel, this.props.perfItem.duration)),
            React.createElement("td", { className: PerformanceGraphItem_module_scss_1.default.tdDelimiter }, graphBar),
            React.createElement("td", { className: PerformanceGraphItem_module_scss_1.default.tdDelimiter }),
            React.createElement("td", { className: PerformanceGraphItem_module_scss_1.default.tdDelimiter }),
            React.createElement("td", { className: PerformanceGraphItem_module_scss_1.default.tdDelimiter }),
            React.createElement("td", { className: PerformanceGraphItem_module_scss_1.default.tdDelimiter }),
            React.createElement("td", { className: PerformanceGraphItem_module_scss_1.default.tdDelimiter }),
            React.createElement("td", { className: PerformanceGraphItem_module_scss_1.default.tdDelimiter }),
            React.createElement("td", { className: PerformanceGraphItem_module_scss_1.default.tdDelimiter }),
            React.createElement("td", { className: PerformanceGraphItem_module_scss_1.default.tdDelimiter }),
            React.createElement("td", { className: PerformanceGraphItem_module_scss_1.default.tdDelimiter })));
    };
    PerformanceGraphItem.prototype._drawGraphBar = function (startVal, duration, barColor, tooltip) {
        var leftVal = ((startVal - this.props.startTime) / this.props.overallDuration);
        var widthVal = (duration / this.props.overallDuration);
        var nameTableWidth = '320px';
        var barStyling = {
            left: "calc(" + leftVal + " * (100% - " + nameTableWidth + ") + " + nameTableWidth + ")",
            width: "calc(" + widthVal + " * (100% - " + nameTableWidth + "))"
        };
        var barClass = [PerformanceGraphItem_module_scss_1.default.bar, barColor].join(' ');
        return React.createElement("div", { key: "" + leftVal + widthVal, className: barClass, style: barStyling, title: tooltip });
    };
    return PerformanceGraphItem;
}(React.Component));
exports.default = PerformanceGraphItem;
