"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var sp_core_library_1 = require("@microsoft/sp-core-library");
var PerformanceLegend_1 = require("./PerformanceLegend/PerformanceLegend");
var PerformanceHeader_module_scss_1 = require("./PerformanceHeader.module.scss");
var PerformanceDisplay_resx_1 = require("./../PerformanceDisplay.resx");
var PerformanceHeader = (function (_super) {
    __extends(PerformanceHeader, _super);
    function PerformanceHeader() {
        var _this = _super.call(this) || this;
        _this._serverResponse = 0;
        _this._appStart = 0;
        _this._renderPageDuration = 0;
        _this._renderWebparts = 0;
        _this._hasWebParts = false;
        _this._getPerfTimings = _this._getPerfTimings.bind(_this);
        return _this;
    }
    PerformanceHeader.prototype.render = function () {
        this._getPerfTimings();
        var legend = undefined;
        if (this._hasWebParts) {
            legend = React.createElement(PerformanceLegend_1.default, null);
        }
        var tableStyle = [PerformanceHeader_module_scss_1.default.headerTable, PerformanceHeader_module_scss_1.default.msThemeLighter].join(' ');
        return (React.createElement("div", null,
            React.createElement("p", { className: PerformanceHeader_module_scss_1.default.hint }, PerformanceDisplay_resx_1.default.PerformanceDataHint),
            React.createElement("table", { className: tableStyle },
                React.createElement("thead", null,
                    React.createElement("tr", null,
                        React.createElement("th", { className: PerformanceHeader_module_scss_1.default.headerTableRows }, PerformanceDisplay_resx_1.default.ServerResponseLabel),
                        React.createElement("th", { className: PerformanceHeader_module_scss_1.default.headerTableRows }, PerformanceDisplay_resx_1.default.AppLoadLabel),
                        React.createElement("th", { className: PerformanceHeader_module_scss_1.default.headerTableRows }, PerformanceDisplay_resx_1.default.PageRenderLabel),
                        React.createElement("th", { className: PerformanceHeader_module_scss_1.default.headerTableRows }, PerformanceDisplay_resx_1.default.RenderWebPartsLabel),
                        React.createElement("th", { className: PerformanceHeader_module_scss_1.default.headerTableRows }, PerformanceDisplay_resx_1.default.TotalRenderTimeLabel))),
                React.createElement("tbody", null,
                    React.createElement("tr", null,
                        React.createElement("td", { className: PerformanceHeader_module_scss_1.default.headerTableRows }, sp_core_library_1.Text.format(PerformanceDisplay_resx_1.default.MillisecondsUnitLabel, this._serverResponse)),
                        React.createElement("td", { className: PerformanceHeader_module_scss_1.default.headerTableRows }, sp_core_library_1.Text.format(PerformanceDisplay_resx_1.default.MillisecondsUnitLabel, this._appStart)),
                        React.createElement("td", { className: PerformanceHeader_module_scss_1.default.headerTableRows }, sp_core_library_1.Text.format(PerformanceDisplay_resx_1.default.MillisecondsUnitLabel, this._renderPageDuration)),
                        React.createElement("td", { className: PerformanceHeader_module_scss_1.default.headerTableRows }, this._hasWebParts
                            ? sp_core_library_1.Text.format(PerformanceDisplay_resx_1.default.MillisecondsUnitLabel, this._renderWebparts)
                            : PerformanceDisplay_resx_1.default.NAPlaceholder),
                        React.createElement("td", { className: PerformanceHeader_module_scss_1.default.headerTableRows }, sp_core_library_1.Text.format(PerformanceDisplay_resx_1.default.MillisecondsUnitLabel, this.props.overallDuration))))),
            React.createElement("div", null, legend)));
    };
    PerformanceHeader.prototype._getPerfTimings = function () {
        var renderPageStart = Infinity;
        var renderPageEnd = 0;
        var webPartStart = Infinity;
        var webPartEnd = 0;
        this._hasWebParts = false;
        for (var _i = 0, _a = this.props.perfItems; _i < _a.length; _i++) {
            var item = _a[_i];
            if (item.id === 'w3cResponseEnd') {
                this._serverResponse = item.duration;
            }
            else if (item.id === 'appStart') {
                this._appStart = item.duration;
            }
            else if ((item.id).indexOf('Component') > -1) {
                if (item.startVal < renderPageStart) {
                    renderPageStart = item.startVal;
                }
                if ((item.duration + item.startVal) > (renderPageEnd)) {
                    renderPageEnd = item.duration + item.startVal;
                }
            }
            else if ((item.id).indexOf('WebPart') > -1) {
                this._hasWebParts = true;
                if (item.startVal < webPartStart) {
                    webPartStart = item.startVal;
                }
                if ((item.duration + item.startVal) > (webPartEnd)) {
                    webPartEnd = item.duration + item.startVal;
                }
            }
        }
        this._renderPageDuration = renderPageEnd - renderPageStart;
        this._renderWebparts = webPartEnd - webPartStart;
    };
    return PerformanceHeader;
}(React.Component));
exports.default = PerformanceHeader;
