"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var TraceListItem_module_scss_1 = require("./TraceListItem.module.scss");
var TraceDisplayStore_1 = require("../../../../../Stores/TraceDisplayStore");
var traceFormatting_1 = require("./../traceFormatting");
var TraceListItem = (function (_super) {
    __extends(TraceListItem, _super);
    function TraceListItem() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    TraceListItem.prototype.render = function () {
        var styleDeclarations;
        var message;
        styleDeclarations = [TraceListItem_module_scss_1.default.container];
        if (this.props.id % 2 === 0) {
            styleDeclarations.push(TraceListItem_module_scss_1.default.blueBackground);
        }
        if (Number(this.props.trace.level) === TraceDisplayStore_1.LogLevel.error) {
            message = this.props.trace.error ? this.props.trace.error.message : this.props.trace.message;
            styleDeclarations.push(TraceListItem_module_scss_1.default.redText);
        }
        else {
            message = this.props.trace.message;
        }
        return (React.createElement("li", { key: this.props.id, className: styleDeclarations.join(' ') },
            React.createElement("ul", { className: TraceListItem_module_scss_1.default.itemDetails },
                React.createElement("li", { className: TraceListItem_module_scss_1.default.timestamp }, traceFormatting_1.formatTimestamp(this.props.trace.timestamp)),
                React.createElement("li", { className: TraceListItem_module_scss_1.default[TraceDisplayStore_1.LogLevel[this.props.trace.level]] }, TraceDisplayStore_1.LogLevel[this.props.trace.level]),
                React.createElement("li", { className: TraceListItem_module_scss_1.default.scope }, this.props.trace.scope ? this.props.trace.scope.id : undefined),
                React.createElement("li", { className: TraceListItem_module_scss_1.default.source }, this.props.trace.source),
                React.createElement("li", { className: TraceListItem_module_scss_1.default.message }, message))));
    };
    return TraceListItem;
}(React.Component));
exports.default = TraceListItem;
