"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var ReactDOM = require("react-dom");
var DeveloperToolsTab_1 = require("./Models/DeveloperToolsTab");
var DeveloperToolsConsole_1 = require("./Components/DeveloperToolsConsole");
var DeveloperToolsConsoleStore_1 = require("./Stores/DeveloperToolsConsoleStore");
var DeveloperTools = (function () {
    function DeveloperTools() {
    }
    Object.defineProperty(DeveloperTools, "instance", {
        get: function () {
            if (!this._instance) {
                this._instance = new DeveloperTools();
            }
            return this._instance;
        },
        enumerable: true,
        configurable: true
    });
    DeveloperTools.prototype.initialize = function () {
        var developerToolsDiv = document.createElement('div');
        document.body.appendChild(developerToolsDiv);
        ReactDOM.render(React.createElement(DeveloperToolsConsole_1.default), developerToolsDiv);
    };
    DeveloperTools.prototype.toggleDeveloperTools = function () {
        DeveloperToolsConsoleStore_1.default.showHideConsole(!DeveloperToolsConsoleStore_1.default.visible);
    };
    DeveloperTools.prototype.showHideDeveloperTools = function (show) {
        DeveloperToolsConsoleStore_1.default.showHideConsole(show);
    };
    DeveloperTools.prototype.registerDeveloperToolsTab = function (developerToolsTab) {
        var tab = new DeveloperToolsTab_1.default(developerToolsTab);
        DeveloperToolsConsoleStore_1.default.registerTab(tab);
    };
    return DeveloperTools;
}());
exports.default = DeveloperTools;
