"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ensureDebugComponents_1 = require("./ensureDebugComponents");
var _debugAllowed = NPM_BUILD ? true : undefined;
var _debugAllowedPromise;
function confirmDebugAllowed(prompt) {
    if (prompt === false || _debugAllowed !== undefined) {
        return Promise.resolve(peek());
    }
    else if (!_debugAllowedPromise) {
        _debugAllowedPromise = new Promise(function (resolve) {
            ensureDebugComponents_1.default().then(function (debugComponents) {
                debugComponents.showDebugPrompt(function (allowed) {
                    _debugAllowed = allowed;
                    resolve(allowed);
                });
            });
        });
    }
    return _debugAllowedPromise;
}
exports.confirmDebugAllowed = confirmDebugAllowed;
function dangerouslyForceDebug() {
    _debugAllowed = true;
}
exports.dangerouslyForceDebug = dangerouslyForceDebug;
function peek() {
    return !!_debugAllowed;
}
exports.peek = peek;
