import { IClientSideComponentManifest } from '@microsoft/sp-module-interfaces';
import { ISPComponentLoader, ILoadScriptOptions } from '../ISPComponentLoader';
import { BaseComponentLoader } from '../BaseComponentLoader';
/**
 * The component loader for SPFx.
 * This implementation uses RequireJS as the internal module loader.
 *
 * @alpha
 */
export default class SPRequireJsComponentLoader extends BaseComponentLoader implements ISPComponentLoader {
    private _requireJsLoader;
    /**
     * @internal
     */
    constructor();
    loadScript<TModule>(url: string, options?: ILoadScriptOptions | undefined): Promise<TModule>;
    loadComponent<TComponent>(manifest: IClientSideComponentManifest): Promise<TComponent>;
    protected _overrideComponent<TComponent>(componentId: string, componentModule: TComponent): void;
}
