"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var sp_core_library_1 = require("@microsoft/sp-core-library");
var SystemJsLoader_1 = require("./SystemJsLoader");
var ManifestStore_1 = require("../stores/ManifestStore");
var ComponentStore_1 = require("../stores/ComponentStore");
var normalizeName_1 = require("./normalizeName");
var ComponentOverrider = (function () {
    function ComponentOverrider() {
    }
    ComponentOverrider.overrideComponent = function (componentId, componentModule) {
        sp_core_library_1.Validate.isNotNullOrUndefined(componentModule, 'componentModule');
        var manifest = ManifestStore_1.default.instance.tryGetManifest(componentId);
        if (!manifest) {
            return;
        }
        var normalizedName = normalizeName_1.default(manifest);
        SystemJsLoader_1.default.instance.ensure(normalizedName, componentModule);
        ComponentStore_1.default.instance.storeComponent(manifest.id, manifest.version, Promise.resolve(componentModule));
    };
    return ComponentOverrider;
}());
exports.default = ComponentOverrider;
