"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var sp_core_library_1 = require("@microsoft/sp-core-library");
var SPLoader_resx_1 = require("../SPLoader.resx");
var BrowserSupport = (function () {
    function BrowserSupport() {
    }
    BrowserSupport.getBrowserCompatibility = function () {
        var browserInfo = sp_core_library_1._BrowserDetection.getBrowserInformation();
        if (browserInfo.browser === sp_core_library_1._Browser.IE &&
            browserInfo.browserVersion && browserInfo.browserVersion.major <= 9) {
            return {
                supportLevel: sp_core_library_1.BrowserSupportLevel.Blocked,
                warning: SPLoader_resx_1.default.ie9OrOlderNotSupportedError
            };
        }
        if (typeof Headers !== 'undefined' &&
            typeof Headers.prototype.forEach === 'undefined') {
            return {
                supportLevel: sp_core_library_1.BrowserSupportLevel.Blocked,
                warning: undefined
            };
        }
        return {
            supportLevel: sp_core_library_1.BrowserSupportLevel.None,
            warning: undefined
        };
    };
    return BrowserSupport;
}());
exports.default = BrowserSupport;
