/**
 * Represents an OData SP.ListItem object.  For more information about this object
 * see the MSDN documentation here:
 * https://msdn.microsoft.com/en-us/library/office/jj860569.aspx
 *
 * @public
 */
export interface IODataListItem {
    ID: number;
    /**
     * Example: { StringValue: "0x010100C5..." }
     */
    ContentTypeId: {
        StringValue: string;
    };
    /**
     * Title of the List Item
     */
    Title: string;
    /**
     * Example: "/Guid(d5369f3b-bd7a-412a-9c0f-7f0650bb5489)/"
     */
    UniqueId: string;
}
export default IODataListItem;
