import IODataNavigationNodeCollection from './IODataNavigationNodeCollection';
import IODataBasePermission from './IODataBasePermission';
/**
 * Interface for _spPageContextInfo. Status of properties in the PageContext will be noted
 * one of the following tags.
 *
 * 1. Already in the PageContext API
 * 2. Soon to be added to the PageContext api
 * 3. No plans to add to add to the PageContext api
 *
 *  @internal
 */
export interface IODataPageContextInfo {
    alertsEnabled: boolean;
    allowSilverlightPrompt: boolean;
    blockDownloadExperienceEnabled: boolean;
    cdnPrefix: string;
    crossDomainPhotosEnabled: boolean;
    currentCultureName: string;
    currentLanguage: number;
    currentUICultureName: string;
    CorrelationId: string;
    disableAppViews: boolean;
    disableFlows: boolean;
    env: string;
    ExpFeatures: number[];
    farmLabel: string;
    fid: number;
    groupColor: string;
    groupHasHomepage: boolean;
    groupId: string;
    groupType: string;
    guestsEnabled: boolean;
    hasManageWebPermission: boolean;
    hideSyncButtonOnODB: boolean;
    isAnonymousGuestUser: boolean;
    isAppWeb: boolean;
    isExternalGuestUser: boolean;
    isNoScriptEnabled: boolean;
    isSPO: boolean;
    killSwitches: {
        [key: string]: boolean;
    };
    layoutsUrl: string;
    listBaseTemplate: number;
    listId: string;
    listPermsMask: IODataBasePermission;
    listTitle: string;
    listUrl: string;
    MenuData: Object;
    navigationInfo: IODataNavigationNodeCollection;
    nid: number;
    openInClient: boolean;
    pageItemId: number;
    pageListId: string;
    pagePermsMask: IODataBasePermission;
    pagePersonalizationScope: number;
    PreviewFeaturesEnabled: boolean;
    RecycleBinItemCount: number;
    serverRequestPath: string;
    serverTime: string;
    showNGSCDialogForSyncOnODB: boolean;
    siteAbsoluteUrl: string;
    siteClassification: string;
    siteClientTag: string;
    siteId: string;
    sitePagesEnabled: boolean;
    siteServerRelativeUrl: string;
    siteSubscriptionId: string;
    systemUserKey: string;
    tenantAppVersion: string;
    themeCacheToken: string;
    themedCssFolderUrl: string;
    themedImageFileNames: string;
    userDisplayName: string;
    userEmail: string;
    userId: number;
    userLoginName: string;
    viewId: string;
    viewOnlyExperienceEnabled: boolean;
    webAbsoluteUrl: string;
    webId: string;
    webServerRelativeUrl: string;
    webLanguage: number;
    webLogoUrl: string;
    webPermMasks: IODataBasePermission;
    webTemplate: string;
    webTitle: string;
    webUIVersion: string;
}
export default IODataPageContextInfo;
