/**
 * Represents an OData SP.ChangeToken object.  For more information about this object,
 * see {@link https://msdn.microsoft.com/en-us/library/office/jj860569.aspx}
 *
 * @public
 */
export interface IODataChangeToken {
    /**
     * Example: { StringValue: "1;3;9fb9199b-65f2-4a4a-b597-11d1a44422c1;635892156279130000;10721" }
     */
    StringValue: string;
}
/**
 * Represents an OData SP.ContextWebInformation object.  For more information about this object,
 * see {@link https://msdn.microsoft.com/en-us/library/office/jj860569.aspx}
 *
 * @public
 */
export interface IODataContextWebInformation {
    /**
     * Example: 1800
     */
    FormDigestTimeoutSeconds: number;
    /**
     * Example: "0x61B31CBF4C76C...B0,20 Jan 2016 02:24:43 -0000"
     */
    FormDigestValue: string;
    /**
     * Example: "16.0.4919.3000"
     */
    LibraryVersion: string;
    /**
     * Example: "http:\u002f\u002fexample.com\u002fsites\u002fPubSite"
     */
    SiteFullUrl: string;
    /**
     * Example: [ "14.0.0.0", "15.0.0.0" ]
     */
    SupportedSchemaVersions: string[];
    /**
     * Example: "http:\u002f\u002fexample.com\u002fsites\u002fPubSite"
     */
    WebFullUrl: string;
}
