"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var sp_core_library_1 = require("@microsoft/sp-core-library");
var CultureInfo = (function () {
    function CultureInfo(data) {
        this._validate(data);
        this._currentCultureName = data.currentCultureName;
        this._currentUICultureName = data.currentUICultureName;
        this._isRightToLeft = data.isRightToLeft;
    }
    Object.defineProperty(CultureInfo.prototype, "currentCultureName", {
        get: function () {
            return this._currentCultureName;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CultureInfo.prototype, "currentUICultureName", {
        get: function () {
            return this._currentUICultureName;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CultureInfo.prototype, "isRightToLeft", {
        get: function () {
            return this._isRightToLeft;
        },
        enumerable: true,
        configurable: true
    });
    CultureInfo.prototype._validate = function (data) {
        sp_core_library_1.Validate.isNotNullOrUndefined(data, 'ICultureInfoData object');
        sp_core_library_1.Validate.isNotNullOrUndefined(data.currentCultureName, 'currentCultureName');
        sp_core_library_1.Validate.isNotNullOrUndefined(data.currentUICultureName, 'currentUICultureName');
        sp_core_library_1.Validate.isNotNullOrUndefined(data.isRightToLeft, 'isRightToLeft');
    };
    return CultureInfo;
}());
exports.default = CultureInfo;
