"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var sp_core_library_1 = require("@microsoft/sp-core-library");
var O365GroupAssociationType;
(function (O365GroupAssociationType) {
    O365GroupAssociationType[O365GroupAssociationType["Unknown"] = 0] = "Unknown";
    O365GroupAssociationType[O365GroupAssociationType["Private"] = 1] = "Private";
    O365GroupAssociationType[O365GroupAssociationType["Public"] = 2] = "Public";
})(O365GroupAssociationType = exports.O365GroupAssociationType || (exports.O365GroupAssociationType = {}));
var O365GroupAssociation = (function () {
    function O365GroupAssociation(data) {
        this._validate(data);
        this._id = sp_core_library_1.Guid.parse(data.id);
        switch (data.type) {
            case 'Private':
                this._type = O365GroupAssociationType.Private;
                break;
            case 'Public':
                this._type = O365GroupAssociationType.Public;
                break;
            default:
                this._type = O365GroupAssociationType.Unknown;
                break;
        }
    }
    Object.defineProperty(O365GroupAssociation.prototype, "id", {
        get: function () {
            return this._id;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(O365GroupAssociation.prototype, "type", {
        get: function () {
            return this._type;
        },
        enumerable: true,
        configurable: true
    });
    O365GroupAssociation.prototype._validate = function (data) {
        sp_core_library_1.Validate.isNotNullOrUndefined(data, 'IO365GroupData object');
        sp_core_library_1.Validate.isNotNullOrUndefined(data.id, 'data.id');
    };
    return O365GroupAssociation;
}());
exports.default = O365GroupAssociation;
