"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var sp_telemetry_1 = require("@ms/sp-telemetry");
var sp_core_library_1 = require("@microsoft/sp-core-library");
var SPWeb_1 = require("./SPWeb");
var SPList_1 = require("./SPList");
var SPListItem_1 = require("./SPListItem");
var SPSite_1 = require("./SPSite");
var SPUser_1 = require("./SPUser");
var CultureInfo_1 = require("./CultureInfo");
var PageContext = (function () {
    function PageContext(serviceScope) {
        this._isInitialized = false;
    }
    PageContext.prototype.initialize = function (options, legacyPageContext) {
        if (options) {
            try {
                this._cultureInfo = new CultureInfo_1.default(options.cultureInfo);
                this._list = options.list ? new SPList_1.default(options.list) : undefined;
                this._listItem = options.listItem ? new SPListItem_1.default(options.listItem) : undefined;
                this._site = new SPSite_1.default(options.site);
                this._user = new SPUser_1.default(options.user);
                this._web = new SPWeb_1.default(options.web);
                this._legacyPageContext = legacyPageContext;
            }
            catch (e) {
                sp_telemetry_1._TraceLogger.logError(PageContext._logSource, e, 'initialize');
                throw e;
            }
            this._isInitialized = true;
        }
    };
    Object.defineProperty(PageContext.prototype, "cultureInfo", {
        get: function () {
            return this._cultureInfo;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(PageContext.prototype, "list", {
        get: function () {
            return this._list;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(PageContext.prototype, "listItem", {
        get: function () {
            return this._listItem;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(PageContext.prototype, "site", {
        get: function () {
            return this._site;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(PageContext.prototype, "user", {
        get: function () {
            return this._user;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(PageContext.prototype, "web", {
        get: function () {
            return this._web;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(PageContext.prototype, "legacyPageContext", {
        get: function () {
            return this._legacyPageContext;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(PageContext.prototype, "isInitialized", {
        get: function () {
            return this._isInitialized;
        },
        enumerable: true,
        configurable: true
    });
    PageContext.serviceKey = sp_core_library_1.ServiceKey.create('sp-page-context:PageContext', PageContext);
    PageContext._logSource = sp_telemetry_1._LogSource.create('PageContext');
    return PageContext;
}());
exports.default = PageContext;
