"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var SPPermission_1 = require("./SPPermission");
var sp_core_library_1 = require("@microsoft/sp-core-library");
var SPList = (function () {
    function SPList(data) {
        this._validate(data);
        this._baseTemplate = data.baseTemplate;
        this._id = sp_core_library_1.Guid.parse(data.id);
        this._permissions = new SPPermission_1.default(data.permissions);
        this._serverRelativeUrl = data.serverRelativeUrl;
        this._title = data.title;
    }
    Object.defineProperty(SPList.prototype, "id", {
        get: function () {
            return this._id;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(SPList.prototype, "permissions", {
        get: function () {
            return this._permissions;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(SPList.prototype, "serverRelativeUrl", {
        get: function () {
            return this._serverRelativeUrl;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(SPList.prototype, "title", {
        get: function () {
            return this._title;
        },
        enumerable: true,
        configurable: true
    });
    SPList.prototype._validate = function (data) {
        sp_core_library_1.Validate.isNotNullOrUndefined(data, 'ISPListData object');
        sp_core_library_1.Validate.isNotNullOrUndefined(data.baseTemplate, 'baseTemplate');
        sp_core_library_1.Validate.isNotNullOrUndefined(sp_core_library_1.Guid.tryParse(data.id), 'id');
        sp_core_library_1.Validate.isNotNullOrUndefined(data.permissions, 'permissions');
        sp_core_library_1.Validate.isNotNullOrUndefined(data.serverRelativeUrl, 'serverRelativeUrl');
        sp_core_library_1.Validate.isNotNullOrUndefined(data.title, 'title');
    };
    return SPList;
}());
exports.default = SPList;
