/**
 * Object that represents the data necessary to build an SPListItem object.
 *
 * @internal
 */
export interface ISPListItemData {
    id: number;
}
/**
  * This class is primarily used with the PageContext class.  It provides contextual
  * information for the SharePoint list item that hosts the page.
  *
  * @public
  */
export default class SPListItem {
    private _id;
    /**
     * @internal
     */
    constructor(data: ISPListItemData);
    /**
     * The number that identifies the SPListItem on the server.
     *
     */
    readonly id: number;
    /**
     * Function that throws an exception if an ISPListItemData object or its parameters are
     * null or undefined.
     *
     * @param data - Data used to construct an ISPListItemData object
     */
    private _validate(data);
}
