"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var sp_core_library_1 = require("@microsoft/sp-core-library");
var O365GroupAssociation_1 = require("./O365GroupAssociation");
var SPSite = (function () {
    function SPSite(data) {
        this._validate(data);
        this._absoluteUrl = data.absoluteUrl;
        this._cdnPrefix = data.cdnPrefix || '';
        this._classification = data.classification;
        this._correlationId = sp_core_library_1.Guid.parse(data.correlationId);
        this._group = data.group ? new O365GroupAssociation_1.default(data.group) : undefined;
        this._id = sp_core_library_1.Guid.parse(data.id);
        this._isNoScriptEnabled = data.isNoScriptEnabled;
        this._recycleBinItemCount = data.recycleBinItemCount;
        this._serverRelativeUrl = data.serverRelativeUrl;
        this._serverRequestPath = data.serverRequestPath;
        this._sitePagesEnabled = data.sitePagesEnabled;
    }
    Object.defineProperty(SPSite.prototype, "absoluteUrl", {
        get: function () {
            return this._absoluteUrl;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(SPSite.prototype, "cdnPrefix", {
        get: function () {
            return this._cdnPrefix;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(SPSite.prototype, "classification", {
        get: function () {
            return this._classification;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(SPSite.prototype, "correlationId", {
        get: function () {
            return this._correlationId;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(SPSite.prototype, "group", {
        get: function () {
            return this._group;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(SPSite.prototype, "id", {
        get: function () {
            return this._id;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(SPSite.prototype, "isNoScriptEnabled", {
        get: function () {
            return this._isNoScriptEnabled;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(SPSite.prototype, "recycleBinItemCount", {
        get: function () {
            return this._recycleBinItemCount;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(SPSite.prototype, "serverRelativeUrl", {
        get: function () {
            return this._serverRelativeUrl;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(SPSite.prototype, "serverRequestPath", {
        get: function () {
            return this._serverRequestPath;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(SPSite.prototype, "sitePagesEnabled", {
        get: function () {
            return this._sitePagesEnabled;
        },
        enumerable: true,
        configurable: true
    });
    SPSite.prototype._validate = function (data) {
        sp_core_library_1.Validate.isNotNullOrUndefined(data, 'ISPSiteData object');
        sp_core_library_1.Validate.isNotNullOrUndefined(data.absoluteUrl, 'absoluteUrl');
        sp_core_library_1.Validate.isNotNullOrUndefined(data.classification, 'classification');
        sp_core_library_1.Validate.isNotNullOrUndefined(sp_core_library_1.Guid.tryParse(data.correlationId), 'correlationId');
        sp_core_library_1.Validate.isNotNullOrUndefined(sp_core_library_1.Guid.tryParse(data.id), 'id');
        sp_core_library_1.Validate.isNotNullOrUndefined(data.isNoScriptEnabled, 'isNoScriptEnabled');
        sp_core_library_1.Validate.isNotNullOrUndefined(data.recycleBinItemCount, 'recycleBinItemCount');
        sp_core_library_1.Validate.isNotNullOrUndefined(data.serverRequestPath, 'serverRequestPath');
        sp_core_library_1.Validate.isNotNullOrUndefined(data.serverRelativeUrl, 'serverRelativeUrl');
        sp_core_library_1.Validate.isNotNullOrUndefined(data.sitePagesEnabled, 'sitePagesEnabled');
    };
    return SPSite;
}());
exports.default = SPSite;
