"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var sp_core_library_1 = require("@microsoft/sp-core-library");
var SPTimeZone = (function () {
    function SPTimeZone(data) {
        this._validate(data);
        this._daylightDate = data.daylightDate;
        this._daylightOffset = data.daylightOffset;
        this._description = data.description;
        this._id = data.id;
        this._offset = data.offset;
        this._standardDate = data.standardDate;
        this._standardOffset = data.standardOffset;
    }
    Object.defineProperty(SPTimeZone.prototype, "daylightDate", {
        get: function () {
            return this._daylightDate;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(SPTimeZone.prototype, "daylightOffset", {
        get: function () {
            return this._daylightOffset;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(SPTimeZone.prototype, "description", {
        get: function () {
            return this._description;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(SPTimeZone.prototype, "id", {
        get: function () {
            return this._id;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(SPTimeZone.prototype, "offset", {
        get: function () {
            return this._offset;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(SPTimeZone.prototype, "standardDate", {
        get: function () {
            return this._standardDate;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(SPTimeZone.prototype, "standardOffset", {
        get: function () {
            return this._standardOffset;
        },
        enumerable: true,
        configurable: true
    });
    SPTimeZone.prototype._validate = function (data) {
        sp_core_library_1.Validate.isNotNullOrUndefined(data, 'ISPTimeZoneData object');
        sp_core_library_1.Validate.isNotNullOrUndefined(data.daylightDate, 'daylightDate');
        sp_core_library_1.Validate.isNotNullOrUndefined(data.daylightOffset, 'daylightOffset');
        sp_core_library_1.Validate.isNotNullOrUndefined(data.description, 'description');
        sp_core_library_1.Validate.isNotNullOrUndefined(data.id, 'id');
        sp_core_library_1.Validate.isNotNullOrUndefined(data.offset, 'offset');
        sp_core_library_1.Validate.isNotNullOrUndefined(data.standardDate, 'standardDate');
        sp_core_library_1.Validate.isNotNullOrUndefined(data.standardOffset, 'standardOffset');
    };
    return SPTimeZone;
}());
exports.default = SPTimeZone;
