"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var sp_core_library_1 = require("@microsoft/sp-core-library");
var SPPermission_1 = require("./SPPermission");
var SPTimeZone_1 = require("./SPTimeZone");
var SPWeb = (function () {
    function SPWeb(data) {
        this._validate(data);
        this._absoluteUrl = data.absoluteUrl;
        this._id = sp_core_library_1.Guid.parse(data.id);
        this._isAppWeb = data.isAppWeb;
        this._language = data.language;
        this._logoUrl = data.logoUrl;
        this._permissions = new SPPermission_1.default(data.permissions);
        this._timeZone = data.timeZoneInfo ?
            new SPTimeZone_1.default(data.timeZoneInfo) : undefined;
        this._serverRelativeUrl = data.serverRelativeUrl;
        this._templateName = data.templateName || '';
        this._title = data.title || '';
        this._description = data.description || '';
    }
    Object.defineProperty(SPWeb.prototype, "absoluteUrl", {
        get: function () {
            return this._absoluteUrl;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(SPWeb.prototype, "id", {
        get: function () {
            return this._id;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(SPWeb.prototype, "isAppWeb", {
        get: function () {
            return this._isAppWeb;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(SPWeb.prototype, "language", {
        get: function () {
            return this._language;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(SPWeb.prototype, "logoUrl", {
        get: function () {
            return this._logoUrl;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(SPWeb.prototype, "permissions", {
        get: function () {
            return this._permissions;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(SPWeb.prototype, "timeZoneInfo", {
        get: function () {
            return this._timeZone;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(SPWeb.prototype, "serverRelativeUrl", {
        get: function () {
            return this._serverRelativeUrl;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(SPWeb.prototype, "templateName", {
        get: function () {
            return this._templateName;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(SPWeb.prototype, "title", {
        get: function () {
            return this._title;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(SPWeb.prototype, "description", {
        get: function () {
            return this._description;
        },
        enumerable: true,
        configurable: true
    });
    SPWeb.prototype._validate = function (data) {
        sp_core_library_1.Validate.isNotNullOrUndefined(data, 'ISPWebData object');
        sp_core_library_1.Validate.isNotNullOrUndefined(data.absoluteUrl, 'absoluteUrl');
        sp_core_library_1.Validate.isNotNullOrUndefined(sp_core_library_1.Guid.tryParse(data.id), 'id');
        sp_core_library_1.Validate.isNotNullOrUndefined(data.isAppWeb, 'isAppWeb');
        sp_core_library_1.Validate.isNotNullOrUndefined(data.language, 'language');
        sp_core_library_1.Validate.isNotNullOrUndefined(data.logoUrl, 'logoUrl');
        sp_core_library_1.Validate.isNotNullOrUndefined(data.permissions, 'permissions');
        sp_core_library_1.Validate.isNotNullOrUndefined(data.serverRelativeUrl, 'serverRelativeUrl');
    };
    return SPWeb;
}());
exports.default = SPWeb;
