import URLSearchParams from './URLSearchParams';
/**
 * This class contains functionality that is common between the smaller "URL" class and the experimental
 *  complete "URL" class.
 */
declare abstract class BaseURL implements URL {
    private _searchParams;
    static createObjectURL(...args: any[]): string;
    static revokeObjectURL(...args: any[]): void;
    constructor(url: string, base?: string);
    abstract href: string;
    readonly abstract origin: string;
    abstract protocol: string;
    abstract username: string;
    abstract password: string;
    abstract host: string;
    abstract hostname: string;
    abstract port: string;
    abstract pathname: string;
    search: string;
    readonly searchParams: URLSearchParams;
    readonly searchparams: URLSearchParams;
    abstract hash: string;
    toJson(): string;
    protected abstract _invalidate(): void;
    protected _initializeSearchParams(): void;
    protected abstract _query: string | null;
}
export default BaseURL;
