# Change Log - @microsoft/sp-webpart-base

This log was last generated on Thu, 15 Feb 2018 01:56:14 GMT and should not be manually modified.

## 1.4.1
Thu, 15 Feb 2018 01:56:14 GMT

*Version update only*

## 1.4.0
Mon, 04 Dec 2017 18:15:58 GMT

### Minor changes

- Add shouldNotPersist to IWebPartPropertyMetadata to allow marking web part properties that should not persist on the server

### Patches

- Fix an issue where the property pane didn't refresh properly
- Replace @types/es6-collections with the typescript compiler's built-in es2015.collection library
- Deprecate IWebPartContext
- Fix an issue with ariaLabel functionality in property pane button
- Fix an Internet Explorer compatibility issue when a checkbox has a long title
- Remove @beta designation for WebPartContext

## 1.3.4
Thu, 26 Oct 2017 17:35:39 GMT

*Version update only*

## 1.3.0
Fri, 22 Sep 2017 20:19:09 GMT

### Minor changes

- Remove deprecated API 'IClientSideComponentContext'.

### Patches

- Fix label control style issue that showing as incorrect width in property pane
- clear width cache after display mode change
- Add edit log for all web parts.
- Change the icon name Delete to Trash to match with the icon codes in OUFR.

## 1.2.0
Fri, 25 Aug 2017 20:31:17 GMT

### Minor changes

- Use lockstep version for all SPFx packages
- Add scroll reveal animation to web parts
- Add setWebPartData API in web part manager

### Patches

- Unmount the container for the placeholder spinner when the spinner is cleared
- Initial beta release of the WebPartContext class, which will replace the IWebPartContext interface
- Allow property pane text field to accept undefined as a change to clear a field
- Extend PropertyPaneChoiceGroup interface to allow use of themable SVG images
- Fix the logic to apply web part minimum height.
- Add type to IPropertyPaneDropdownOption
- Fix property pane dropdown option to correct enum value
- Update to Fabric React 4.32.0
- Update property pane styles to support mixing icons and images in the same choice group
- Ensure the ChoiceGroup's label is above the options in property pane
- Add aria label property to dropdown control
- Fix the checkbox and toggle check/uncheck issue
- Fix the logic of choicegroup option selection
- Fix to align choicegroup options with text vertically in property pane
- Add tooltip functionality to the choicegroup options in the property pane
- Adjust the property pane page content bottom according to footer
- Fix getPropertyPaneConfiguration being called multiple times on property pane field change
- Fix to retain the component's values in a non-webpart case on the property pane
- Update property pane borders and group header borders themes
- Generalize the usage of changeCallback on the custom field
- Fix the property pane not closing when publish button is hit
- Respect individual property pane control's checked/value prop in case if the property bag returns a non-value
- Add onAriaLabel and offAriaLabel in IPropertyPaneToggle
- Add optional minHeight to provide hint about the minimum web part height corresponding to current web part width

## 1.1.1
Thu, 08 Jun 2017 19:39:03 GMT

*Version update only*

## 1.1.0
Thu, 25 May 2017 21:09:42 GMT

### Minor changes

- Upgraded office-ui-fabric-react to 2.31.0
- Added IPropertyPaneAccessor interface
- Fixed an issue where isRenderedByWebpart() was undefined instead of a boolean
- Upgraded to Webpack 2.0
- Improved user experience when web parts fail to render
- Fixed an issue where the BaseClientSideWebPart was returning a rounded number for the web part width
- Removed unnecessary postbacks in web parts in classic pages
- Improved an issue with property pane link where it was not doing line breaks correctly
- Added "isSearchablePlainText" to IWebPartPropertiesMetadata which allows a property to be search-indexable without using HTML
- Applied flex layout to page chrome
- Fixed a localization issue with ARIA description string in the PropertyPane footer
- Added collapsible PropertyPane group headers
- Improved documentation of the IPropertyPaneTextFieldProps API
- Added "maxLength" property on PropertyPaneTextField
- Fixed an issue with sacing a non-reactive property pane
- Added "isPropertyPaneOpen" property to PropertyPaneAccessor
- Fixed an issue with Property Pane where it was not themed correctly
- Added "rows" property on TextField
- Fixed an issue with the PropertyPane group header border
- Fixed an issue with PropertyPane where it toggled when switching from individual item edit to overall web part edit
- Fixed an issue with the property pane footer position
- Fixed an issue where calling refresh() on PropertyPane doesn't toggle the "renderedByWebPart" value
- Fixed an issue where an empty property pane contained a footer
- Added "validateOnFocusIn" and "validateOnFocusOut" properties to IPropertyPaneTextFieldProps
- Improved the behavior of the "value" property of IPropertyPaneTextField
- Updated to TypeScript 2.2

## 1.0.0
Fri, 17 Feb 2017 23:09:23 GMT

### Breaking changes

- General availability

### Minor changes

- Updated to TypeScript 2.1

### Patches

- Upgraded React to 15.4.1
- Bumped up office-ui-fabric-react version to 0.83.0
- Locked version numbers for @types packages
- Updated .npmignore
- Enabled --strictNullChecks compiler flag.
- Resolved a bug with the PropertyPaneDropdown control.
- Fixed a bug in BaseCleintWebPart
- Added some mock function for MockWebPartContext.ts

## 0.4.0
Tue, 03 Jan 2017 21:52:49 GMT

### Minor changes

- More changes for RC0 release.

## 0.3.0
Tue, 06 Dec 2016 20:44:26 GMT

### Minor changes

- Changes for RC0 release.

## 0.2.1

### Minor changes

- Renamed .spapp extension to .sppkg in documentation.
- Introduced ISerializedWebPartData which is extended by IWebPartData
- Deprecated version field in IWebPartData and introduced dataVersion in ISerializedWebPartData as the alternative for managing data versioning
- Introduced dataVersion property in BaseClientSideWebPart to allow configuring the data vesion of the serialized data by the web part
- Re-added WebPartContext.configureStart API
- adding public API `ClassicPageHost`

## 0.1.0

### Patches

- Create a copy of all the webpart infra APIs and code so that we can evolve it to its GA version without having to worry about breaking third-party web parts which still continue to use `@microsoft/sp-client-preview`.
- On the `BaseClientSideWebPart`, renamed `onPropertyChange` to `onPropertyChanged`

