webpackJsonp974a7777_0990_4136_8fa6_95d80114c2e0_1_4_1([0],{

/***/ 100:
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
var KeyCodes;
(function (KeyCodes) {
    KeyCodes[KeyCodes["Enter"] = 13] = "Enter";
    KeyCodes[KeyCodes["Escape"] = 27] = "Escape";
    KeyCodes[KeyCodes["Tab"] = 9] = "Tab";
    KeyCodes[KeyCodes["F10"] = 121] = "F10";
    KeyCodes[KeyCodes["P"] = 80] = "P";
})(KeyCodes = exports.KeyCodes || (exports.KeyCodes = {}));
function isEscape(e) {
    return isKey(KeyCodes.Escape, e);
}
exports.isEscape = isEscape;
function isEnter(e) {
    return isKey(KeyCodes.Enter, e);
}
exports.isEnter = isEnter;
function isShiftTab(e) {
    return isKey(KeyCodes.Tab, e, false, false, true);
}
exports.isShiftTab = isShiftTab;
function isTab(e) {
    return isKey(KeyCodes.Tab, e);
}
exports.isTab = isTab;
function isKey(
    keyCode, e, allowAlt, allowCtrl, allowShift) {
    if (allowAlt === void 0) { allowAlt = false; }
    if (allowCtrl === void 0) { allowCtrl = false; }
    if (allowShift === void 0) { allowShift = false; }
    return e.keyCode === keyCode &&
        ((allowAlt && e.altKey) || (!allowAlt && !e.altKey)) &&
        ((allowCtrl && e.ctrlKey) || (!allowCtrl && !e.ctrlKey)) &&
        ((allowShift && e.shiftKey) || (!allowShift && !e.shiftKey));
}
exports.isKey = isKey;
function getFocusableChildren(elem, ignoreTabIndex) {
    if (ignoreTabIndex === void 0) { ignoreTabIndex = false; }
    var children = [];
    for (var _i = 0, _a = getFocusableDescendants(elem, ignoreTabIndex); _i < _a.length; _i++) {
        var descendant = _a[_i];
        if (isElementFocusableChildOf(descendant, elem)) {
            children.push(descendant);
        }
    }
    return children;
}
exports.getFocusableChildren = getFocusableChildren;
function isElementFocusable(elem, ignoreTabIndex) {
    if (ignoreTabIndex === void 0) { ignoreTabIndex = false; }
    var tagName = elem.tagName.toLowerCase();
    if (elem && !elem.hidden && elem.offsetParent && window.getComputedStyle(elem).display !== 'none') {
        var hasTabIndex = elem.hasAttribute('tabindex');
        var tabindex = hasTabIndex ? parseInt(elem.getAttribute('tabindex'), 10) : NaN;
        if (!ignoreTabIndex && hasTabIndex && tabindex < 0) {
            return false;
        }
        if (tagName === 'a' && !!elem.href ||
            elem.isContentEditable) {
            return true;
        }
        if ((tagName === 'button' ||
            tagName === 'input' ||
            tagName === 'select' ||
            tagName === 'textarea') && !elem.disabled) {
            return true;
        }
        if (ignoreTabIndex && elem.getAttribute('data-is-focusable') === 'true') {
            return true;
        }
        if (!ignoreTabIndex && hasTabIndex && tabindex > -1) {
            return true;
        }
    }
    return false;
}
exports.isElementFocusable = isElementFocusable;
function getFocusableParent(elem, topElement) {
    if (topElement === void 0) { topElement = document.body; }
    var parent = elem;
    do {
        parent = parent.parentElement;
    } while (parent &&
        !isElementFocusable(parent) &&
        !parent.isEqualNode(topElement) &&
        !parent.isEqualNode(document.body));
    return parent;
}
exports.getFocusableParent = getFocusableParent;
function queryFocusableSelector(elem) {
    var selector = 'button,input,textarea,select,a[href]:not([href=\'\']),\
      [tabindex],[contenteditable=\'true\'], [data-is-focusable=\'true\']';
    return elem.querySelectorAll(selector);
}
function getFirstFocusableChild(elem, ignoreTabIndex) {
    if (ignoreTabIndex === void 0) { ignoreTabIndex = false; }
    var nodes = queryFocusableSelector(elem);
    for (var i = 0; i < nodes.length; i++) {
        var node = nodes[i];
        if (isElementFocusable(node, ignoreTabIndex)) {
            return node;
        }
    }
    return undefined;
}
exports.getFirstFocusableChild = getFirstFocusableChild;
function getFocusableDescendants(elem, ignoreTabIndex) {
    if (ignoreTabIndex === void 0) { ignoreTabIndex = false; }
    var descendants = [];
    var nodes = queryFocusableSelector(elem);
    for (var i = 0; i < nodes.length; i++) {
        var node = nodes[i];
        if (isElementFocusable(node, ignoreTabIndex)) {
            descendants.push(node);
        }
    }
    return descendants;
}
exports.getFocusableDescendants = getFocusableDescendants;
function getFocusableSiblings(elem, topElement) {
    if (topElement === void 0) { topElement = document.body; }
    var children = getFocusableChildren(getFocusableParent(elem, topElement));
    var siblings = [];
    var insertPointer = 0;
    for (var _i = 0, children_1 = children; _i < children_1.length; _i++) {
        var child = children_1[_i];
        if (!child.isEqualNode(elem)) {
            siblings.splice(insertPointer++, 0, child);
        }
        else {
            insertPointer = 0;
        }
    }
    return siblings;
}
exports.getFocusableSiblings = getFocusableSiblings;
function getNextFocusableElement(elem, topElement) {
    if (topElement === void 0) { topElement = document.body; }
    var siblings = getFocusableSiblings(elem, topElement);
    return siblings[0];
}
exports.getNextFocusableElement = getNextFocusableElement;
function getPrevFocusableElement(elem, topElement) {
    if (topElement === void 0) { topElement = document.body; }
    var siblings = getFocusableSiblings(elem, topElement);
    return siblings[siblings.length - 1];
}
exports.getPrevFocusableElement = getPrevFocusableElement;
function isElementFocusableChildOf(elem, ancestor) {
    var parent = elem.parentElement;
    while (parent && parent.tagName !== 'BODY') {
        if (parent.isEqualNode(ancestor)) {
            return true;
        }
        if (isElementFocusable(parent)) {
            break;
        }
        parent = parent.parentElement;
    }
    return false;
}
exports.isElementFocusableChildOf = isElementFocusableChildOf;
function navigateInside(elem) {
    var children = getFocusableChildren(elem);
    if (children.length) {
        children[0].focus();
        return true;
    }
    else {
        return false;
    }
}
exports.navigateInside = navigateInside;
function navigateTo(elem) {
    if (elem && isElementFocusable(elem)) {
        elem.focus();
        return true;
    }
    else {
        return navigateInside(elem);
    }
}
exports.navigateTo = navigateTo;
function navigateOutOf(elem, topElement) {
    if (topElement === void 0) { topElement = document.body; }
    topElement = topElement || document.body;
    getFocusableParent(elem, topElement).focus();
}
exports.navigateOutOf = navigateOutOf;
var CanvasA11yManager = (function () {
    function CanvasA11yManager(canvasElement, shouldHandleKeyDown) {
        if (shouldHandleKeyDown === void 0) { shouldHandleKeyDown = true; }
        this._canvasElement = canvasElement;
        this._handleKeyDown = this._handleKeyDown.bind(this);
        this._randId = Math.floor(Math.random() * 1000000);
        if (shouldHandleKeyDown) {
            this._canvasElement.addEventListener('keydown', this._handleKeyDown);
        }
    }
    CanvasA11yManager.prototype.ariaAlert = function (message) {
        var divId = 'aria_alert_' + this._randId;
        var oldAlert = document.querySelector('#' + divId);
        if (oldAlert) {
            document.body.removeChild(oldAlert);
        }
        var alertNode = document.createElement('p');
        alertNode.classList.add('Canvas-screenReaderOnly');
        alertNode.setAttribute('role', 'alert');
        alertNode.setAttribute('id', divId);
        var alertText = document.createTextNode(message);
        alertNode.appendChild(alertText);
        document.body.appendChild(alertNode);
    };
    CanvasA11yManager.prototype.navigateInside = function (elem) {
        return navigateInside(elem);
    };
    CanvasA11yManager.prototype.navigateTo = function (elem) {
        return navigateTo(elem);
    };
    CanvasA11yManager.prototype.navigateOutOf = function (elem) {
        navigateOutOf(elem);
    };
    CanvasA11yManager.prototype.clearState = function () {
        this._savedFocusedElement = undefined;
    };
    CanvasA11yManager.prototype.restoreState = function () {
        return this._savedFocusedElement ? this.navigateTo(this._savedFocusedElement) : false;
    };
    CanvasA11yManager.prototype.saveState = function (elem) {
        elem = elem || document.activeElement;
        this._savedFocusedElement = elem;
    };
    CanvasA11yManager.prototype.skipEvent = function (e) {
        e[CanvasA11yManager._SKIP_FLAG] = true;
    };
    CanvasA11yManager.prototype._shouldSkipEvent = function (e) {
        return e[CanvasA11yManager._SKIP_FLAG];
    };
    CanvasA11yManager.prototype._handleKeyDown = function (e) {
        if (this._shouldSkipEvent(e)) {
            return;
        }
        var currentElement = isElementFocusable(e.target) ?
            e.target : getFocusableParent(e.target, this._canvasElement);
        var elementToGo;
        if (currentElement) {
            if (isTab(e)) {
                var children = getFocusableChildren(this._canvasElement);
                if (children.length && !currentElement.isEqualNode(children[children.length - 1])) {
                    elementToGo = getNextFocusableElement(currentElement, this._canvasElement);
                }
            }
            else if (isShiftTab(e)) {
                var children = getFocusableChildren(this._canvasElement);
                if (children.length && !currentElement.isEqualNode(children[0])) {
                    elementToGo = getPrevFocusableElement(currentElement, this._canvasElement);
                }
            }
            else if (isEnter(e)) {
                var children = getFocusableChildren(currentElement);
                elementToGo = children.length ? children[0] : undefined;
            }
            else if (isEscape(e)) {
                elementToGo = getFocusableParent(currentElement, this._canvasElement);
            }
        }
        if (elementToGo) {
            elementToGo.focus();
            e.preventDefault();
            e.stopPropagation();
        }
    };
    CanvasA11yManager._SKIP_FLAG = 'a11y-skip';
    return CanvasA11yManager;
}());
exports.CanvasA11yManager = CanvasA11yManager;


/***/ }),

/***/ 73:
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = __webpack_require__(0);
var React = __webpack_require__(4);
var ReactDOM = __webpack_require__(11);
var decorators_1 = __webpack_require__(2);
var Compare_1 = __webpack_require__(78);
var PropertyPaneDefinitions_1 = __webpack_require__(6);
var PropertyPanePage_1 = __webpack_require__(79);
var PropertyPaneTitleBar_1 = __webpack_require__(90);
var PropertyPaneFooter_1 = __webpack_require__(96);
var Strings_resx_1 = __webpack_require__(18);
var PropertyPane_module_scss_1 = __webpack_require__(77);
var PropertyPanePage_module_scss_1 = __webpack_require__(76);
var office_ui_fabric_react_1 = __webpack_require__(9);
var CanvasA11y_1 = __webpack_require__(100);
var PageDirection;
(function (PageDirection) {
    PageDirection[PageDirection["back"] = -1] = "back";
    PageDirection[PageDirection["next"] = 1] = "next";
})(PageDirection = exports.PageDirection || (exports.PageDirection = {}));
var CLEAR_DELAY = 100;
var NO_WEBPART_ID = 'No_Web_Part_ID';
var PropertyPane = (function (_super) {
    tslib_1.__extends(PropertyPane, _super);
    function PropertyPane(props) {
        var _this = _super.call(this, props) || this;
        _this.state = {
            isSaveButtonEnabled: false,
            saveConfirmationMessage: '',
            currentPage: 1
        };
        _this._currentlyConfiguredWebPartId = props.data.webPartId;
        _this._onChange = _this._onChange.bind(_this);
        _this._onPropertyPaneKeyDown = _this._onPropertyPaneKeyDown.bind(_this);
        _this._flipPage = _this._flipPage.bind(_this);
        _this._handleSaveClick = _this._handleSaveClick.bind(_this);
        _this._handleCloseClick = _this._handleCloseClick.bind(_this);
        _this._propertyPaneShouldLooseFocus = _this._propertyPaneShouldLooseFocus.bind(_this);
        _this._setContainerDiv = _this._setContainerDiv.bind(_this);
        _this._propertyPaneGroupStateChanged = _this._propertyPaneGroupStateChanged.bind(_this);
        _this._invalidEntries = {};
        _this._propertyPanePagesStateMap = {};
        return _this;
    }
    PropertyPane.prototype.componentWillReceiveProps = function (props) {
        if (props.data.shouldResetState) {
            this._propertyPanePagesStateMap = {};
        }
        if (this._currentlyConfiguredWebPartId !== props.data.webPartId || props.data.shouldResetState) {
            var webPartId = props.data.webPartId ? props.data.webPartId : NO_WEBPART_ID;
            this._resetState(webPartId);
        }
        else {
            this.setState({
                saveConfirmationMessage: ''
            });
        }
    };
    PropertyPane.prototype.componentDidMount = function () {
        var domNode = ReactDOM.findDOMNode(this);
        domNode.style.zIndex = '999';
        if (this.props.data.onRendered) {
            this.props.data.onRendered();
        }
        this._setTimeOutForFocus();
    };
    PropertyPane.prototype.componentDidUpdate = function (props) {
        if (this._isPropertyPaneReplaced) {
            this._updateTabIndexes(0, true);
            this._setTimeOutForFocus();
            this._isPropertyPaneReplaced = false;
        }
        if (this.props.data.onRendered) {
            this.props.data.onRendered();
        }
    };
    PropertyPane.prototype.shouldComponentUpdate = function (nextProps, nextState) {
        return !Compare_1.default.shallowCompare(this.props, nextProps) ||
            !Compare_1.default.shallowCompare(this.state, nextState) ||
            !!(nextProps.data.configuration && nextProps.data.configuration.showLoadingIndicator);
    };
    PropertyPane.prototype.render = function () {
        var _this = this;
        this._properties = this.props.data.properties;
        var showOverlaySpinner = this.props.data.configuration && this.props.data.configuration.showLoadingIndicator;
        return (React.createElement(office_ui_fabric_react_1.Fabric, null,
            React.createElement("div", { role: 'alert', "aria-live": 'polite', className: PropertyPane_module_scss_1.default.propertyPaneScreenReaderOnly },
                React.createElement("span", null, this.state.saveConfirmationMessage)),
            React.createElement(office_ui_fabric_react_1.FocusTrapZone, { isClickableOutsideFocusTrap: true, firstFocusableSelector: this._cssClassForActionableElement, forceFocusInsideTrap: false },
                React.createElement("div", { className: office_ui_fabric_react_1.css('ms-font-m', PropertyPane_module_scss_1.default.propertyPane), role: 'dialog', "aria-labelledby": 'propertyPaneTitleId', "aria-describedby": this._descriptionId, ref: function (c) { return _this._propertyPane = c; }, onKeyDown: this._onPropertyPaneKeyDown, key: this.props.data.webPartId },
                    showOverlaySpinner && (React.createElement(office_ui_fabric_react_1.Overlay, { className: PropertyPane_module_scss_1.default.overlay },
                        React.createElement(office_ui_fabric_react_1.Spinner, { className: PropertyPane_module_scss_1.default.spinner, type: office_ui_fabric_react_1.SpinnerType.large, label: Strings_resx_1.default.PropertyPaneFetchingSettingsDataLabel }))),
                    React.createElement(PropertyPaneTitleBar_1.default, { title: this.props.data.title, onClose: this._handleCloseClick }),
                    React.createElement("div", null, this._shouldRenderEmptyPage ? this._renderNoConfigurationState() : this._renderPage())))));
    };
    PropertyPane.prototype._renderNoConfigurationState = function () {
        return (React.createElement("div", { role: 'alert', "aria-live": 'polite', className: PropertyPane_module_scss_1.default.propertyPaneDescription, "data-automation-id": 'noConfigurationPropertyPane' }, Strings_resx_1.default.PropertyPaneEmptyStateDescription));
    };
    Object.defineProperty(PropertyPane.prototype, "_descriptionId", {
        get: function () {
            var page = undefined;
            if (this.props.data.configuration && this.props.data.configuration.pages) {
                var pages = this.props.data.configuration.pages;
                page = pages[this.state.currentPage - 1];
            }
            return (page && page.header && page.header.description) ? 'propertyPaneDescriptionId' : undefined;
        },
        enumerable: true,
        configurable: true
    });
    PropertyPane.prototype._renderPage = function () {
        var _this = this;
        var pages = this.props.data.configuration.pages;
        var page = pages[this.state.currentPage - 1];
        var classForPropertyPanePageContentBottom = this._getCssBottomValueForPageContentElement();
        return (React.createElement("div", null,
            React.createElement("div", { className: office_ui_fabric_react_1.css(classForPropertyPanePageContentBottom, PropertyPanePage_module_scss_1.default.propertyPanePageContent) },
                React.createElement(PropertyPanePage_1.default, { pageNumber: this.state.currentPage, pageDescription: page.header ? page.header.description : '', displayGroupsAsAccordion: page.displayGroupsAsAccordion || false, onChange: this._onChange.bind(this), propertyGroups: page.groups, properties: this._properties, setEntryState: function (targetProperty, isValidEntry) {
                        _this._setEntryState(targetProperty, isValidEntry);
                    }, setContainerDiv: this._setContainerDiv, propertyPaneGroupStateChanged: this._propertyPaneGroupStateChanged, propertyPanePagesStateMap: this._propertyPanePagesStateMap })),
            React.createElement(PropertyPaneFooter_1.default, { isReactive: this.props.data.isReactive || false, isSaveButtonEnabled: this.state.isSaveButtonEnabled, numberOfPages: (this.props.data.configuration &&
                    this.props.data.configuration.pages &&
                    this.props.data.configuration.pages.length) ? this.props.data.configuration.pages.length : 0, currentPage: this.state.currentPage, onSaveClick: this._handleSaveClick, onFlipPage: this._flipPage })));
    };
    PropertyPane.prototype._setContainerDiv = function (containerDiv) {
        this._propertyPaneContent = containerDiv;
    };
    PropertyPane.prototype._propertyPaneGroupStateChanged = function (pageNumber, groupName, isCollapsed) {
        if (!this._propertyPanePagesStateMap[pageNumber]) {
            this._propertyPanePagesStateMap[pageNumber] = {};
        }
        this._propertyPanePagesStateMap[pageNumber][groupName] = isCollapsed;
    };
    Object.defineProperty(PropertyPane.prototype, "_shouldRenderEmptyPage", {
        get: function () {
            return (!this.props.data.configuration ||
                !this.props.data.configuration.pages ||
                this.props.data.configuration.pages.length === 0 ||
                !this.props.data.configuration.pages[this.state.currentPage - 1].groups ||
                this.props.data.configuration.pages[this.state.currentPage - 1].groups.length === 0);
        },
        enumerable: true,
        configurable: true
    });
    PropertyPane.prototype._flipPage = function (direction) {
        var page = this.state.currentPage + direction;
        this.setState({
            currentPage: page
        });
        if (this.props.data.render) {
            this.props.data.render();
        }
        this._setTimeOutForFocus();
    };
    PropertyPane.prototype._setEntryState = function (targetProperty, isValidEntry) {
        if (isValidEntry) {
            if (this._invalidEntries.hasOwnProperty(targetProperty)) {
                delete this._invalidEntries[targetProperty];
            }
        }
        else {
            this._invalidEntries[targetProperty] = !isValidEntry;
        }
    };
    PropertyPane.prototype._enableSaveButton = function (enabled) {
        this.setState({
            isSaveButtonEnabled: enabled
        });
    };
    PropertyPane.prototype._onChange = function (targetProperty, value) {
        this._properties[targetProperty] = value;
        if (!this.props.data.isReactive) {
            this._enableSaveButton(Object.keys(this._invalidEntries).length === 0);
        }
        if (!this._invalidEntries.hasOwnProperty(targetProperty)) {
            this._raiseEvent(targetProperty, value);
        }
    };
    PropertyPane.prototype._handleSaveClick = function () {
        var _this = this;
        this.setState({
            saveConfirmationMessage: Strings_resx_1.default.SaveConfirmation
        });
        this._enableSaveButton(false);
        setTimeout((function () {
            _this.setState({
                saveConfirmationMessage: ''
            });
        }), CLEAR_DELAY);
        this.props.data.onConfigurationEvent(PropertyPaneDefinitions_1.WebPartConfigurationEvent.PropertyPaneApplyClicked);
    };
    PropertyPane.prototype._handleCloseClick = function () {
        this._resetState(NO_WEBPART_ID);
        this._updateTabIndexes(-1, false);
        this.props.data.onConfigurationEvent(PropertyPaneDefinitions_1.WebPartConfigurationEvent.PropertyPaneClosed);
    };
    PropertyPane.prototype._raiseEvent = function (targetProperty, value) {
        this.props.data.onPropertyPaneFieldChanged(targetProperty, value);
    };
    PropertyPane.prototype._onPropertyPaneKeyDown = function (ev) {
        if (CanvasA11y_1.isKey(27 , ev)) {
            ev.preventDefault();
            this._handleCloseClick();
        }
        else if (CanvasA11y_1.isKey(CanvasA11y_1.KeyCodes.P, ev, true)) {
            ev.preventDefault();
            this._propertyPaneShouldLooseFocus();
        }
    };
    PropertyPane.prototype._propertyPaneShouldLooseFocus = function () {
        this._resetState(NO_WEBPART_ID);
        this._updateTabIndexes(-1, false);
        this.props.data.onConfigurationEvent(PropertyPaneDefinitions_1.WebPartConfigurationEvent.PropertyPaneLostFocus);
    };
    PropertyPane.prototype._setTimeOutForFocus = function () {
        var _this = this;
        if (!this._isManagingFocusBySettings) {
            setTimeout((function () {
                var propertyPane = _this._shouldRenderEmptyPage ?
                    _this._propertyPane : _this._propertyPaneContent;
                _this._focusOnFirstActionableElement(propertyPane);
            }), 0);
        }
    };
    Object.defineProperty(PropertyPane.prototype, "_isManagingFocusBySettings", {
        get: function () {
            return this.props.data.configuration &&
                this.props.data.configuration.pages &&
                this.props.data.configuration.pages
                    .some((function (page) { return page.groups
                    .some((function (group) { return group.groupFields
                    .some((function (groupField) { return groupField.shouldFocus || false; })); })); }));
        },
        enumerable: true,
        configurable: true
    });
    PropertyPane.prototype._focusOnFirstActionableElement = function (propertyPane) {
        if (propertyPane) {
            var firstElement = CanvasA11y_1.getFirstFocusableChild(propertyPane);
            if (firstElement) {
                firstElement.focus();
            }
        }
    };
    PropertyPane.prototype._updateTabIndexes = function (tabIndex, ignoreTabIndexes) {
        var rootElement = this._propertyPane;
        var elements = CanvasA11y_1.getFocusableChildren(rootElement, ignoreTabIndexes);
        for (var _i = 0, elements_1 = elements; _i < elements_1.length; _i++) {
            var el = elements_1[_i];
            el.tabIndex = tabIndex;
        }
    };
    PropertyPane.prototype._resetState = function (webPartId) {
        this._isPropertyPaneReplaced = true;
        this._currentlyConfiguredWebPartId = webPartId;
        this.setState({
            isSaveButtonEnabled: false,
            saveConfirmationMessage: '',
            currentPage: 1
        });
    };
    PropertyPane.prototype._getCssBottomValueForPageContentElement = function () {
        var pageContentBottom = undefined;
        if (!this.props.data.isReactive) {
            pageContentBottom = PropertyPane_module_scss_1.default.oneRowFooter;
        }
        if (this.props.data.configuration &&
            this.props.data.configuration.pages &&
            this.props.data.configuration.pages.length &&
            this.props.data.configuration.pages.length > 1) {
            if (!pageContentBottom) {
                pageContentBottom = PropertyPane_module_scss_1.default.oneRowFooter;
            }
            else {
                pageContentBottom = PropertyPane_module_scss_1.default.twoRowFooter;
            }
        }
        return pageContentBottom;
    };
    PropertyPane = tslib_1.__decorate([
        decorators_1.sealed
    ], PropertyPane);
    return PropertyPane;
}(React.Component));
exports.default = PropertyPane;


/***/ }),

/***/ 76:
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
__webpack_require__(88);
var styles = {
    propertyPaneTitleBarBox: 'propertyPaneTitleBarBox_54133e5e',
    propertyPaneTitleBar: 'propertyPaneTitleBar_54133e5e',
    propertyPanePageTitle: 'propertyPanePageTitle_54133e5e',
    propertyPaneClose: 'propertyPaneClose_54133e5e',
    propertyPanePageContent: 'propertyPanePageContent_54133e5e',
    propertyPanePageDescription: 'propertyPanePageDescription_54133e5e',
};
exports.default = styles;


/***/ }),

/***/ 77:
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
__webpack_require__(91);
var styles = {
    propertyPane: 'propertyPane_0d8d9eff',
    propertyPaneDescription: 'propertyPaneDescription_0d8d9eff',
    propertyPaneScreenReaderOnly: 'propertyPaneScreenReaderOnly_0d8d9eff',
    twoRowFooter: 'twoRowFooter_0d8d9eff',
    oneRowFooter: 'oneRowFooter_0d8d9eff',
    overlay: 'overlay_0d8d9eff',
    spinner: 'spinner_0d8d9eff',
};
exports.default = styles;


/***/ }),

/***/ 78:
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
var Compare = (function () {
    function Compare() {
    }
    Compare.shallowCompare = function (objA, objB) {
        if (objA === objB) {
            return true;
        }
        if (typeof objA !== 'object' || !objA || typeof objB !== 'object' || !objB) {
            return false;
        }
        var keysA = Object.keys(objA);
        var keysB = Object.keys(objB);
        var keyLength = keysA.length;
        if (keyLength !== keysB.length) {
            return false;
        }
        var bHasOwnProperty = Object.prototype.hasOwnProperty.bind(objB);
        for (var i = 0; i < keyLength; i++) {
            var key = keysA[i];
            if (!bHasOwnProperty(key)) {
                return false;
            }
            var valueA = objA[key];
            var valueB = objB[key];
            if (valueA !== valueB) {
                return false;
            }
        }
        return true;
    };
    return Compare;
}());
exports.default = Compare;


/***/ }),

/***/ 79:
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = __webpack_require__(0);
var decorators_1 = __webpack_require__(2);
var React = __webpack_require__(4);
var office_ui_fabric_react_1 = __webpack_require__(9);
var PropertyPaneGroup_1 = __webpack_require__(80);
var PropertyPanePage_module_scss_1 = __webpack_require__(76);
var PropertyPanePage = (function (_super) {
    tslib_1.__extends(PropertyPanePage, _super);
    function PropertyPanePage() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    PropertyPanePage.prototype.componentDidMount = function () {
        this.props.setContainerDiv(this._propertyPanePage);
    };
    PropertyPanePage.prototype.render = function () {
        var _this = this;
        var index = 0;
        var propertyGroups = this.props.propertyGroups.map((function (group) { return (React.createElement(PropertyPaneGroup_1.default, { key: group.groupName || index++, pageNumber: _this.props.pageNumber, groupName: group.groupName, groupFields: group.groupFields, onChange: _this.props.onChange, properties: _this.props.properties, setEntryState: _this.props.setEntryState, isCollapsed: group.isCollapsed, displayGroupsAsAccordion: _this.props.displayGroupsAsAccordion, propertyPaneGroupStateChanged: _this.props.propertyPaneGroupStateChanged, propertyPanePagesStateMap: _this.props.propertyPanePagesStateMap })); }));
        return (React.createElement("div", { ref: function (c) { return _this._propertyPanePage = c; } },
            this.props.pageDescription
                ? React.createElement("div", { className: office_ui_fabric_react_1.css(PropertyPanePage_module_scss_1.default.propertyPanePageDescription, 'ms-font-m-plus'), id: 'propertyPaneDescriptionId' }, this.props.pageDescription)
                : null
        ,
            propertyGroups));
    };
    PropertyPanePage = tslib_1.__decorate([
        decorators_1.sealed
    ], PropertyPanePage);
    return PropertyPanePage;
}(React.Component));
exports.default = PropertyPanePage;


/***/ }),

/***/ 80:
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = __webpack_require__(0);
var React = __webpack_require__(4);
var decorators_1 = __webpack_require__(2);
var lodash = __webpack_require__(7);
var office_ui_fabric_react_1 = __webpack_require__(9);
var sp_core_library_1 = __webpack_require__(1);
var IPropertyPaneButton_1 = __webpack_require__(30);
var PropertyPaneCustomFieldHost_1 = __webpack_require__(81);
var IPropertyPaneField_1 = __webpack_require__(3);
var PropertyPaneGroup_module_scss_1 = __webpack_require__(82);
var Strings_resx_1 = __webpack_require__(18);
var PropertyPaneChoiceGroup_module_scss_1 = __webpack_require__(85);
var propertyPaneGroupInstance = 0;
var PropertyPaneGroup = (function (_super) {
    tslib_1.__extends(PropertyPaneGroup, _super);
    function PropertyPaneGroup(props) {
        var _this = _super.call(this, props) || this;
        _this.state = {
            isDetailsShown: true,
            id: "PropertyPaneGroup-" + propertyPaneGroupInstance++
        };
        _this._onHeaderClicked = _this._onHeaderClicked.bind(_this);
        return _this;
    }
    PropertyPaneGroup_1 = PropertyPaneGroup;
    PropertyPaneGroup._getCheckedStatus = function (propValue, groupField) {
        return (propValue !== undefined && propValue !== null) ? propValue : groupField.properties.checked;
    };
    PropertyPaneGroup.prototype.componentWillMount = function () {
        this.setState({
            isDetailsShown: this._isDetailsShown(this.props)
        });
    };
    PropertyPaneGroup.prototype.componentWillReceiveProps = function (props) {
        if (props.groupFields &&
            props.groupFields.some((function (groupField) { return groupField.shouldFocus || false; }))) {
            this.setState({
                isDetailsShown: true
            });
        }
        else {
            this.setState({
                isDetailsShown: this._isDetailsShown(props)
            });
        }
    };
    PropertyPaneGroup.prototype.componentDidMount = function () {
        this._setFocus();
    };
    PropertyPaneGroup.prototype.componentDidUpdate = function () {
        this._setFocus();
    };
    PropertyPaneGroup.prototype.render = function () {
        this._keys = {}; 
        this._elementRefs = {}; 
        return (React.createElement("div", null,
            this._renderGroupName(),
            this._renderGroupContent()));
    };
    PropertyPaneGroup.prototype._isDetailsShown = function (props) {
        var isDetailsShown = undefined;
        if (props.propertyPanePagesStateMap[props.pageNumber] &&
            props.groupName) {
            isDetailsShown = props.propertyPanePagesStateMap[props.pageNumber][props.groupName];
        }
        return (isDetailsShown !== undefined) ? isDetailsShown : !props.isCollapsed;
    };
    PropertyPaneGroup.prototype._setFocus = function () {
        var _this = this;
        setTimeout((function () {
            if (_this._focusElementKey) {
                var nextFocusedElement = _this._elementRefs[_this._focusElementKey];
                if (nextFocusedElement && nextFocusedElement.focus) {
                    nextFocusedElement.focus();
                    _this._focusElementKey = undefined;
                }
            }
        }), 0);
    };
    PropertyPaneGroup.prototype._renderGroupName = function () {
        var groupNameElem = undefined; 
        var rtl = document.dir === 'rtl';
        if (!this.props.displayGroupsAsAccordion) {
            if (this.props.groupName) {
                groupNameElem = (React.createElement("div", { className: office_ui_fabric_react_1.css(PropertyPaneGroup_module_scss_1.default.propertyPaneGroupHeaderNoAccordion, 'ms-font-m', 'ms-fontWeight-semibold') }, this.props.groupName));
            }
        }
        else {
            var chevronIcon = this.state.isDetailsShown ? 'ChevronDown' : rtl ?
                'ChevronLeft' : 'ChevronRight';
            groupNameElem = (React.createElement("div", { className: PropertyPaneGroup_module_scss_1.default.propertyPaneGroupHeaderWithAccordion },
                React.createElement("button", { className: office_ui_fabric_react_1.css(PropertyPaneGroup_module_scss_1.default.propertyPaneGroupHeader, 'ms-font-m', 'ms-fontWeight-semibold'), "aria-expanded": this.state.isDetailsShown, onClick: this._onHeaderClicked },
                    React.createElement(office_ui_fabric_react_1.Icon, { className: this.state.isDetailsShown ?
                            PropertyPaneGroup_module_scss_1.default.propertyPaneGroupHeaderIcon :
                            PropertyPaneGroup_module_scss_1.default.propertyPaneGroupHeaderIcon, "data-automation-state": this.state.isDetailsShown ? 'expanded' : 'collapsed', iconName: chevronIcon }),
                    React.createElement("div", { className: PropertyPaneGroup_module_scss_1.default.propertyPaneGroupHeaderText }, this.props.groupName))));
        }
        return groupNameElem;
    };
    PropertyPaneGroup.prototype._renderGroupContent = function () {
        var _this = this;
        if (this.state.isDetailsShown) {
            return (React.createElement("div", { className: PropertyPaneGroup_module_scss_1.default.propertyPaneGroupContent }, this.props.groupFields.map((function (groupField) { return _this._renderGroupField(groupField); }))));
        }
        return undefined; 
    };
    PropertyPaneGroup.prototype._renderGroupField = function (groupField) {
        var _this = this;
        var propValue = lodash.get(this.props.properties, groupField.targetProperty);
        var groupFieldElement;
        var key = '';
        if (groupField.type === IPropertyPaneField_1.PropertyPaneFieldType.Custom) {
            sp_core_library_1.Validate.isNonemptyString(groupField.properties.key, 'Custom field key');
            var customField = groupField;
            key = customField.type + "-" + customField.properties.key;
        }
        else {
            key = groupField.type + "-" + (groupField.targetProperty || '');
        }
        var keyIndex = this._keys[key] || 0;
        this._keys[key] = keyIndex + 1;
        key += "-" + keyIndex;
        if (groupField.shouldFocus) {
            this._focusElementKey = key;
        }
        var setRef = function (instance) {
            _this._elementRefs[key] = instance; 
            if (typeof groupField.properties.ref === 'function') {
                groupField.properties.ref(instance);
            }
        };
        switch (groupField.type) {
            case IPropertyPaneField_1.PropertyPaneFieldType.Custom:
                groupFieldElement = React.createElement(PropertyPaneCustomFieldHost_1.default, tslib_1.__assign({}, groupField.properties, { onChanged: function (targetProperty, value) {
                        if (_this.props.setEntryState) {
                            _this.props.setEntryState(targetProperty, true);
                        }
                        if (_this.props.onChange) {
                            _this.props.onChange(targetProperty, value);
                        }
                    } }));
                break;
            case IPropertyPaneField_1.PropertyPaneFieldType.Toggle:
                groupFieldElement =
                    React.createElement(office_ui_fabric_react_1.Toggle, tslib_1.__assign({}, groupField.properties, { componentRef: setRef, checked: PropertyPaneGroup_1._getCheckedStatus(propValue, groupField), onText: groupField.properties.onText || Strings_resx_1.default.ToggleOnText, offText: groupField.properties.offText || Strings_resx_1.default.ToggleOffText, onChanged: function (value) {
                            _this._onChange(groupField, value);
                        } }));
                break;
            case IPropertyPaneField_1.PropertyPaneFieldType.TextField:
                var textFieldValue = propValue || groupField.properties.value || '';
                groupFieldElement = React.createElement(office_ui_fabric_react_1.TextField, tslib_1.__assign({}, groupField.properties, { componentRef: setRef, value: textFieldValue, onChanged: function (value) {
                        if (!groupField.properties.onGetErrorMessage) {
                            _this._onChange(groupField, value);
                        }
                    }, onNotifyValidationResult: function (errorMessage, value) {
                        return _this._onNotifyValidationResult(errorMessage, value, groupField, _this.props.setEntryState);
                    } }));
                break;
            case IPropertyPaneField_1.PropertyPaneFieldType.Dropdown:
                var dropdownOptions = groupField.properties.options
                    ? groupField.properties.options.map((function (option) { return ({
                        key: option.key,
                        index: option.index,
                        text: option.text,
                        itemType: option.type || office_ui_fabric_react_1.DropdownMenuItemType.Normal
                    }); }))
                    : [];
                groupFieldElement = React.createElement(office_ui_fabric_react_1.Dropdown, tslib_1.__assign({}, groupField.properties, { componentRef: setRef, selectedKey: propValue || groupField.properties.selectedKey, disabled: groupField.properties.isDisabled || groupField.properties.disabled, ariaLabel: groupField.properties.ariaLabel, label: groupField.properties.label, options: dropdownOptions, onChanged: function (option, index) {
                        _this._onDropDownChange(groupField, option, index);
                    } }));
                break;
            case IPropertyPaneField_1.PropertyPaneFieldType.CheckBox:
                groupFieldElement = React.createElement(office_ui_fabric_react_1.Checkbox, tslib_1.__assign({}, groupField.properties, { componentRef: setRef, label: groupField.properties.text, checked: PropertyPaneGroup_1._getCheckedStatus(propValue, groupField), disabled: this._isDisabled(groupField), onChange: function (ev, isChecked) {
                        _this._onChange(groupField, isChecked);
                    } }));
                break;
            case IPropertyPaneField_1.PropertyPaneFieldType.Label:
                groupFieldElement = React.createElement(office_ui_fabric_react_1.Label, tslib_1.__assign({}, groupField.properties), groupField.properties.text);
                break;
            case IPropertyPaneField_1.PropertyPaneFieldType.Slider:
                groupFieldElement =
                    React.createElement(office_ui_fabric_react_1.Slider, tslib_1.__assign({}, groupField.properties, { componentRef: setRef, value: propValue || groupField.properties.value, onChange: function (value) {
                            _this._onChange(groupField, value);
                        } }));
                break;
            case IPropertyPaneField_1.PropertyPaneFieldType.ChoiceGroup:
                groupField.properties.options.forEach((function (option) {
                    if (propValue !== undefined && propValue !== '' && propValue !== null) {
                        option.checked = option.key === propValue;
                    }
                    if (option.hasOwnProperty('disabled') && option.disabled !== undefined) {
                        option.disabled = option.disabled;
                    }
                    if (!option.onRenderLabel && (option.imageSrc || option.iconProps)) {
                        option.onRenderLabel = function (choice) {
                            return (React.createElement(office_ui_fabric_react_1.TooltipHost, { overflowMode: office_ui_fabric_react_1.TooltipOverflowMode.Parent, calloutProps: { gapSpace: 65 }, content: choice.text },
                                React.createElement("span", { id: choice.labelId, className: 'ms-label' }, choice.text)));
                        };
                    }
                }));
                var options = groupField.properties.options.map((function (option) {
                    var propertyPaneChoiceGroupOptionIconProps = option.iconProps, otherOptions = tslib_1.__rest(option, ["iconProps"]);
                    var iconOption = propertyPaneChoiceGroupOptionIconProps
                        ? {
                            iconProps: {
                                iconName: propertyPaneChoiceGroupOptionIconProps.officeFabricIconFontName
                            }
                        }
                        : undefined;
                    var themableSvg = option.themableSvg;
                    var renderOption = themableSvg ?
                        {
                            onRenderField: _this._renderChoiceGroupWithSvg
                        }
                        : undefined;
                    return lodash.merge({}, otherOptions, iconOption, renderOption);
                }));
                groupFieldElement =
                    React.createElement(office_ui_fabric_react_1.ChoiceGroup, tslib_1.__assign({}, groupField.properties, { componentRef: setRef, options: options, className: PropertyPaneGroup_module_scss_1.default.propertyPaneChoiceGroup, onChanged: function (checkedOption) {
                            _this._onChoiceGroupChange(groupField, checkedOption);
                        } }));
                break;
            case IPropertyPaneField_1.PropertyPaneFieldType.Button:
                var handleClick = function () {
                    var newValue = groupField.properties.onClick(propValue); 
                    _this._onChange(groupField, newValue);
                };
                var iconProps = {
                    iconName: groupField.properties.icon
                };
                var buttonType = groupField.properties.buttonType;
                var buttonProps = tslib_1.__assign({}, groupField.properties, { ariaLabel: groupField.properties.ariaLabel || groupField.properties.text, componentRef: setRef, iconProps: iconProps, onClick: handleClick, text: groupField.properties.text });
                if (buttonType) {
                    delete buttonProps.buttonType; 
                }
                switch (buttonType) {
                    case IPropertyPaneButton_1.PropertyPaneButtonType.Primary:
                        groupFieldElement = React.createElement(office_ui_fabric_react_1.PrimaryButton, tslib_1.__assign({}, buttonProps));
                        break;
                    case IPropertyPaneButton_1.PropertyPaneButtonType.Compound:
                        groupFieldElement = React.createElement(office_ui_fabric_react_1.CompoundButton, tslib_1.__assign({}, buttonProps));
                        break;
                    case IPropertyPaneButton_1.PropertyPaneButtonType.Command:
                        groupFieldElement = React.createElement(office_ui_fabric_react_1.ActionButton, tslib_1.__assign({}, buttonProps));
                        break;
                    case IPropertyPaneButton_1.PropertyPaneButtonType.Icon:
                        groupFieldElement = React.createElement(office_ui_fabric_react_1.IconButton, tslib_1.__assign({}, buttonProps));
                        break;
                    default:
                        groupFieldElement = React.createElement(office_ui_fabric_react_1.Button, tslib_1.__assign({}, buttonProps));
                        break;
                }
                break;
            case IPropertyPaneField_1.PropertyPaneFieldType.HorizontalRule:
                groupFieldElement =
                    React.createElement("hr", tslib_1.__assign({}, groupField.properties));
                break;
            case IPropertyPaneField_1.PropertyPaneFieldType.Link:
                groupFieldElement = React.createElement(office_ui_fabric_react_1.Link, tslib_1.__assign({ componentRef: setRef }, groupField.properties), groupField.properties.text);
                break;
            default:
                groupFieldElement = null; 
        }
        return React.createElement("div", { key: key, className: PropertyPaneGroup_module_scss_1.default.propertyPaneGroupField },
            " ",
            groupFieldElement,
            " ");
    };
    PropertyPaneGroup.prototype._renderChoiceGroupWithSvg = function (props) {
        var themableSvg = props.themableSvg;
        return (React.createElement("label", { htmlFor: props.id, className: office_ui_fabric_react_1.css('ms-ChoiceField-field', PropertyPaneChoiceGroup_module_scss_1.default.field, (_a = {},
                _a['ms-ChoiceField-field--image ' + PropertyPaneChoiceGroup_module_scss_1.default.fieldIsImage] = !!props.imageSrc,
                _a['ms-ChoiceField--icon ' + PropertyPaneChoiceGroup_module_scss_1.default.fieldIsIcon] = !!props.iconProps,
                _a['is-checked ' + PropertyPaneChoiceGroup_module_scss_1.default.fieldIsChecked] = props.checked,
                _a['is-disabled ' + PropertyPaneChoiceGroup_module_scss_1.default.fieldIsDisabled] = props.disabled,
                _a)) },
            props.imageSrc && (React.createElement("div", { className: office_ui_fabric_react_1.css('ms-ChoiceField-innerField', PropertyPaneChoiceGroup_module_scss_1.default.innerField) },
                React.createElement("div", { className: office_ui_fabric_react_1.css('ms-ChoiceField-imageWrapper', PropertyPaneChoiceGroup_module_scss_1.default.imageWrapper, (_b = {},
                        _b['is-hidden ' + PropertyPaneChoiceGroup_module_scss_1.default.imageWrapperIsHidden] = props.checked,
                        _b)) },
                    React.createElement("div", { className: office_ui_fabric_react_1.css('ms-Image', PropertyPaneChoiceGroup_module_scss_1.default.imageRoot), style: {
                            width: props.imageSize ? props.imageSize.width : undefined,
                            height: props.imageSize ? props.imageSize.height : undefined
                        } }, themableSvg)),
                React.createElement("div", { className: office_ui_fabric_react_1.css('ms-ChoiceField-imageWrapper', PropertyPaneChoiceGroup_module_scss_1.default.imageWrapper, (_c = {},
                        _c['is-hidden ' + PropertyPaneChoiceGroup_module_scss_1.default.imageWrapperIsHidden] = !props.checked,
                        _c)) },
                    React.createElement("div", { className: office_ui_fabric_react_1.css('ms-Image', PropertyPaneChoiceGroup_module_scss_1.default.imageRoot), style: {
                            width: props.imageSize ? props.imageSize.width : undefined,
                            height: props.imageSize ? props.imageSize.height : undefined
                        } }, themableSvg)))),
            props.iconProps &&
                React.createElement("div", { className: office_ui_fabric_react_1.css('ms-ChoiceField-innerField', PropertyPaneChoiceGroup_module_scss_1.default.innerField) },
                    React.createElement("div", { className: office_ui_fabric_react_1.css('ms-ChoiceField-iconWrapper', PropertyPaneChoiceGroup_module_scss_1.default.iconWrapper) },
                        React.createElement(office_ui_fabric_react_1.Icon, tslib_1.__assign({}, props.iconProps)))),
            props.imageSrc || props.iconProps
                ? (React.createElement("div", { className: office_ui_fabric_react_1.css('ms-ChoiceField-labelWrapper', PropertyPaneChoiceGroup_module_scss_1.default.labelWrapper) },
                    React.createElement("span", { id: props.labelId, className: 'ms-Label' }, props.text))) : React.createElement("span", { id: props.labelId, className: 'ms-Label' }, props.text)));
        var _a, _b, _c;
    };
    PropertyPaneGroup.prototype._onChange = function (groupField, value) {
        if (this.props.onChange) {
            this.props.onChange(groupField.targetProperty, value);
        }
        if (!groupField.properties.onGetErrorMessage && this.props.setEntryState) {
            this.props.setEntryState(groupField.targetProperty, true);
        }
    };
    PropertyPaneGroup.prototype._onChoiceGroupChange = function (groupField, checkedOption) {
        groupField.properties.options.forEach((function (option) {
            return option.checked = option.key === checkedOption.key;
        }));
        this._onChange(groupField, checkedOption.key);
    };
    PropertyPaneGroup.prototype._onDropDownChange = function (groupField, selectedItem, selectedIndex) {
        if (this.props.onChange) {
            this.props.onChange(groupField.targetProperty, selectedItem.key);
        }
    };
    PropertyPaneGroup.prototype._onHeaderClicked = function () {
        if (this.props.groupName && this.props.groupName.length > 0) {
            this.props.propertyPaneGroupStateChanged(this.props.pageNumber, this.props.groupName, !this.state.isDetailsShown);
        }
        this.setState({
            isDetailsShown: !this.state.isDetailsShown
        });
    };
    PropertyPaneGroup.prototype._onNotifyValidationResult = function (errorMessage, value, groupField,  setEntryState) {
        if (setEntryState) {
            setEntryState(groupField.targetProperty, !errorMessage);
        }
        this._onChange(groupField, value);
    };
    PropertyPaneGroup.prototype._isDisabled = function (groupField) {
        var disabled = groupField.properties.disabled;
        if (disabled === undefined) {
            if (groupField.properties.hasOwnProperty('isDisabled') && groupField.properties.isDisabled !== undefined) {
                disabled = groupField.properties.isDisabled;
            }
            else if (groupField.properties.hasOwnProperty('enabled') && groupField.properties.enabled !== undefined) {
                disabled = !groupField.properties.enabled;
            }
            else if (groupField.properties.hasOwnProperty('isEnabled') && groupField.properties.isEnabled !== undefined) {
                disabled = !groupField.properties.isEnabled;
            }
        }
        return disabled;
    };
    tslib_1.__decorate([
        office_ui_fabric_react_1.autobind
    ], PropertyPaneGroup.prototype, "_renderChoiceGroupWithSvg", null);
    PropertyPaneGroup = PropertyPaneGroup_1 = tslib_1.__decorate([
        decorators_1.sealed
    ], PropertyPaneGroup);
    return PropertyPaneGroup;
    var PropertyPaneGroup_1;
}(React.Component));
exports.default = PropertyPaneGroup;


/***/ }),

/***/ 81:
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = __webpack_require__(0);
var React = __webpack_require__(4);
var ReactDOM = __webpack_require__(11);
var CUSTOMFIELD_TARGETPROPERTY_PREFIX = '__CustomField_';
var PropertyPaneCustomFieldHost = (function (_super) {
    tslib_1.__extends(PropertyPaneCustomFieldHost, _super);
    function PropertyPaneCustomFieldHost() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    PropertyPaneCustomFieldHost.prototype.componentDidMount = function () {
        this._domElement = ReactDOM.findDOMNode(this);
        this.props.onRender(this._domElement, this.props.context, this._onChangedCallback.bind(this));
    };
    PropertyPaneCustomFieldHost.prototype.componentDidUpdate = function () {
        this.props.onRender(this._domElement, this.props.context, this._onChangedCallback.bind(this));
    };
    PropertyPaneCustomFieldHost.prototype.componentWillUnmount = function () {
        if (this.props.onDispose) {
            this.props.onDispose(this._domElement, this.props.context);
        }
    };
    PropertyPaneCustomFieldHost.prototype.render = function () {
        return (React.createElement("div", { className: 'ms-CustomFieldHost' }));
    };
    PropertyPaneCustomFieldHost.prototype._onChangedCallback = function (targetProperty, value) {
        if (!targetProperty) {
            targetProperty = CUSTOMFIELD_TARGETPROPERTY_PREFIX + this.props.key;
            value = undefined;
        }
        this.props.onChanged(targetProperty, value);
    };
    return PropertyPaneCustomFieldHost;
}(React.Component));
exports.default = PropertyPaneCustomFieldHost;


/***/ }),

/***/ 82:
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
__webpack_require__(83);
var styles = {
    propertyPaneGroupHeader: 'propertyPaneGroupHeader_989a8b29',
    propertyPaneGroup: 'propertyPaneGroup_989a8b29',
    isExpanded: 'isExpanded_989a8b29',
    propertyPaneGroupContent: 'propertyPaneGroupContent_989a8b29',
    propertyPaneGroupHeaderText: 'propertyPaneGroupHeaderText_989a8b29',
    propertyPaneGroupHeaderIcon: 'propertyPaneGroupHeaderIcon_989a8b29',
    propertyPaneGroupHeaderWithAccordion: 'propertyPaneGroupHeaderWithAccordion_989a8b29',
    propertyPaneGroupHeaderNoAccordion: 'propertyPaneGroupHeaderNoAccordion_989a8b29',
    propertyPaneChoiceGroup: 'propertyPaneChoiceGroup_989a8b29',
    propertyPaneGroupField: 'propertyPaneGroupField_989a8b29',
};
exports.default = styles;


/***/ }),

/***/ 83:
/***/ (function(module, exports, __webpack_require__) {

var content = __webpack_require__(84);
var loader = __webpack_require__(10);

if(typeof content === "string") content = [[module.i, content]];

// add the styles to the DOM
for (var i = 0; i < content.length; i++) loader.loadStyles(content[i][1], true);

if(content.locals) module.exports = content.locals;

/***/ }),

/***/ 84:
/***/ (function(module, exports, __webpack_require__) {

exports = module.exports = __webpack_require__(13)(undefined);
// imports


// module
exports.push([module.i, ".propertyPaneGroupHeader_989a8b29{background:0 0;border-top:1px solid;border-top-color:\"[theme:neutralLight, default: #eaeaea]\";color:\"[theme:neutralPrimary, default: #333333]\";cursor:pointer;font-weight:600;font-size:14px;height:40px;line-height:40px;width:100%;padding:0 8px}[dir=ltr] .propertyPaneGroupHeader_989a8b29{text-align:left}[dir=rtl] .propertyPaneGroupHeader_989a8b29{text-align:right}.propertyPaneGroup_989a8b29:last-child .propertyPaneGroupHeader_989a8b29{border-bottom:1px solid;border-bottom-color:\"[theme:neutralLight, default: #eaeaea]\"}.propertyPaneGroupHeader_989a8b29 .ms-Icon{color:\"[theme:neutralSecondaryAlt, default: #767676]\";font-size:14px;line-height:38px;position:relative}[dir=ltr] .propertyPaneGroupHeader_989a8b29 .ms-Icon{padding-right:4px}[dir=rtl] .propertyPaneGroupHeader_989a8b29 .ms-Icon{padding-left:4px}.propertyPaneGroup_989a8b29.isExpanded_989a8b29 .propertyPaneGroupContent_989a8b29{display:block}.propertyPaneGroupHeaderText_989a8b29{vertical-align:top;line-height:38px;text-overflow:ellipsis;overflow:hidden;white-space:nowrap}[dir=ltr] .propertyPaneGroupHeaderText_989a8b29{margin-right:20}[dir=rtl] .propertyPaneGroupHeaderText_989a8b29{margin-left:20}[dir=ltr] .propertyPaneGroupHeaderIcon_989a8b29{float:left}[dir=rtl] .propertyPaneGroupHeaderIcon_989a8b29{float:right}.propertyPaneGroupHeader_989a8b29{border-bottom:1px solid;border-bottom-color:\"[theme:neutralLight, default: #eaeaea]\"}[dir=ltr] .propertyPaneGroupHeader_989a8b29{border-right-width:1px}[dir=rtl] .propertyPaneGroupHeader_989a8b29{border-left-width:1px}[dir=ltr] .propertyPaneGroupHeader_989a8b29{border-right-style:solid}[dir=rtl] .propertyPaneGroupHeader_989a8b29{border-left-style:solid}[dir=ltr] .propertyPaneGroupHeader_989a8b29{border-right-color:\"[theme:neutralLight, default: #eaeaea]\"}[dir=rtl] .propertyPaneGroupHeader_989a8b29{border-left-color:\"[theme:neutralLight, default: #eaeaea]\"}.propertyPaneGroupHeaderWithAccordion_989a8b29{padding:4px 0}.propertyPaneGroupHeaderNoAccordion_989a8b29{color:\"[theme:neutralPrimary, default: #333333]\";font-weight:600;font-size:14px;height:40px;line-height:40px;padding-top:4px;width:300px;text-overflow:ellipsis;overflow:hidden}[dir=ltr] .propertyPaneGroupHeaderNoAccordion_989a8b29{padding-right:0}[dir=rtl] .propertyPaneGroupHeaderNoAccordion_989a8b29{padding-left:0}[dir=ltr] .propertyPaneGroupHeaderNoAccordion_989a8b29{padding-left:20px}[dir=rtl] .propertyPaneGroupHeaderNoAccordion_989a8b29{padding-right:20px}[dir=ltr] .propertyPaneGroupHeaderNoAccordion_989a8b29{text-align:left}[dir=rtl] .propertyPaneGroupHeaderNoAccordion_989a8b29{text-align:right}.propertyPaneGroupContent_989a8b29{padding:0 20px 16px}.propertyPaneGroupContent_989a8b29 h2{font-size:15px;color:\"[theme:neutralPrimary, default: #333333]\";font-weight:600;font-weight:400}.propertyPaneGroupContent_989a8b29 .ms-TextField.ms-TextField--multiline .ms-TextField-field{resize:vertical}.propertyPaneChoiceGroup_989a8b29 .ms-Label{width:100%;box-sizing:border-box}.propertyPaneChoiceGroup_989a8b29 .ms-ChoiceField--icon,.propertyPaneChoiceGroup_989a8b29 .ms-ChoiceField--image{height:100%;width:calc(33.33% - 4px)}.propertyPaneChoiceGroup_989a8b29 .ms-ChoiceField--icon .ms-ChoiceField-field,.propertyPaneChoiceGroup_989a8b29 .ms-ChoiceField--image .ms-ChoiceField-field{min-width:100%}.propertyPaneChoiceGroup_989a8b29 .ms-ChoiceField--icon .ms-ChoiceField-innerField,.propertyPaneChoiceGroup_989a8b29 .ms-ChoiceField--image .ms-ChoiceField-innerField{-webkit-box-align:center;-ms-flex-align:center;align-items:center;display:-webkit-box;display:-ms-flexbox;display:flex;height:52px;-webkit-box-pack:center;-ms-flex-pack:center;justify-content:center;padding:0}.propertyPaneChoiceGroup_989a8b29 .ms-ChoiceField--icon .ms-ChoiceField-labelWrapper,.propertyPaneChoiceGroup_989a8b29 .ms-ChoiceField--image .ms-ChoiceField-labelWrapper{margin-bottom:8px}.propertyPaneChoiceGroup_989a8b29 .ms-ChoiceField-wrapper{width:100%}.propertyPaneChoiceGroup_989a8b29 .themeableSvgPath{fill:\"[theme:neutralPrimary, default: #333333]\"}.propertyPaneChoiceGroup_989a8b29 .ms-ChoiceField--title .ms-Label,.propertyPaneGroupField_989a8b29{color:\"[theme:neutralPrimary, default: #333333]\"}.propertyPaneGroupField_989a8b29{padding-top:4px;word-wrap:break-word}.propertyPaneGroupField_989a8b29 a.ms-Link{font-size:14px;margin-bottom:16px}.propertyPaneGroupField_989a8b29 button.ms-Checkbox{max-width:100%}@media screen and (-ms-high-contrast:active){.propertyPaneGroupField_989a8b29 a.ms-Link:hover{text-decoration:underline}}@media screen and (-ms-high-contrast:white-on-black){.propertyPaneGroupField_989a8b29 a.ms-Link{color:#ff0}}", ""]);

// exports


/***/ }),

/***/ 85:
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
__webpack_require__(86);
var styles = {
    root: 'root_fe8f5b03',
    imageRoot: 'imageRoot_fe8f5b03',
    image: 'image_fe8f5b03',
    imageIsLoaded: 'imageIsLoaded_fe8f5b03',
    field: 'field_fe8f5b03',
    fieldIsChecked: 'fieldIsChecked_fe8f5b03',
    fieldIsDisabled: 'fieldIsDisabled_fe8f5b03',
    fieldIsImage: 'fieldIsImage_fe8f5b03',
    fieldIsIcon: 'fieldIsIcon_fe8f5b03',
    innerField: 'innerField_fe8f5b03',
    imageWrapper: 'imageWrapper_fe8f5b03',
    imageWrapperIsHidden: 'imageWrapperIsHidden_fe8f5b03',
    labelWrapper: 'labelWrapper_fe8f5b03',
    choiceFieldIsIcon: 'choiceFieldIsIcon_fe8f5b03',
    iconWrapper: 'iconWrapper_fe8f5b03',
    choiceFieldIsInFocus: 'choiceFieldIsInFocus_fe8f5b03',
    choiceFieldIsImage: 'choiceFieldIsImage_fe8f5b03',
};
exports.default = styles;


/***/ }),

/***/ 86:
/***/ (function(module, exports, __webpack_require__) {

var content = __webpack_require__(87);
var loader = __webpack_require__(10);

if(typeof content === "string") content = [[module.i, content]];

// add the styles to the DOM
for (var i = 0; i < content.length; i++) loader.loadStyles(content[i][1], true);

if(content.locals) module.exports = content.locals;

/***/ }),

/***/ 87:
/***/ (function(module, exports, __webpack_require__) {

exports = module.exports = __webpack_require__(13)(undefined);
// imports


// module
exports.push([module.i, ".root_fe8f5b03{display:block}.imageRoot_fe8f5b03{overflow:hidden}.image_fe8f5b03{display:block;opacity:0}.image_fe8f5b03.imageIsLoaded_fe8f5b03{opacity:1}.field_fe8f5b03:before{display:inline-block;background-color:\"[theme:white, default: #ffffff]\";border:1px solid;width:20px;height:20px;font-weight:400;top:-1px;transition-property:border-color;transition-duration:.2s;transition-timing-function:cubic-bezier(.4,0,.23,1);border-radius:50%}.field_fe8f5b03:after,.field_fe8f5b03:before{content:\"\";position:absolute;box-sizing:border-box}.field_fe8f5b03:after{width:0;height:0;border-radius:50%;transition-property:border-width;transition-duration:.15s;transition-timing-function:cubic-bezier(.4,0,.23,1)}[dir=ltr] .field_fe8f5b03:after{left:10px}[dir=rtl] .field_fe8f5b03:after{right:10px}[dir=ltr] .field_fe8f5b03:after{right:0}[dir=rtl] .field_fe8f5b03:after{left:0}.field_fe8f5b03{display:inline-block;cursor:pointer;margin-top:0;position:relative;vertical-align:top;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none}.field_fe8f5b03:focus:before,.field_fe8f5b03:hover:before{border-color:\"[theme:neutralPrimary, default: #333333]\"}.field_fe8f5b03.fieldIsChecked_fe8f5b03:before{border:2px solid;border-color:\"[theme:themePrimary, default: #0078d7]\"}@media screen and (-ms-high-contrast:active){.field_fe8f5b03.fieldIsChecked_fe8f5b03:before{border-color:#1aebff}}@media screen and (-ms-high-contrast:black-on-white){.field_fe8f5b03.fieldIsChecked_fe8f5b03:before{border-color:#37006e}}.field_fe8f5b03.fieldIsChecked_fe8f5b03:after{border:5px solid;border-color:\"[theme:themePrimary, default: #0078d7]\";top:4px;width:10px;height:10px}[dir=ltr] .field_fe8f5b03.fieldIsChecked_fe8f5b03:after{left:5px}[dir=rtl] .field_fe8f5b03.fieldIsChecked_fe8f5b03:after{right:5px}@media screen and (-ms-high-contrast:active){.field_fe8f5b03.fieldIsChecked_fe8f5b03:after{border-color:#1aebff}}@media screen and (-ms-high-contrast:black-on-white){.field_fe8f5b03.fieldIsChecked_fe8f5b03:after{border-color:#37006e}}.field_fe8f5b03.fieldIsChecked_fe8f5b03:focus:before,.field_fe8f5b03.fieldIsChecked_fe8f5b03:hover:before{border-color:\"[theme:themeDarkAlt, default: #106ebe]\"}.field_fe8f5b03.fieldIsDisabled_fe8f5b03{cursor:default}.field_fe8f5b03.fieldIsDisabled_fe8f5b03:before{background-color:\"[theme:neutralTertiaryAlt, default: #c8c8c8]\";border-color:\"[theme:neutralTertiaryAlt, default: #c8c8c8]\"}@media screen and (-ms-high-contrast:active){.field_fe8f5b03.fieldIsDisabled_fe8f5b03:before{border-color:#0f0}}@media screen and (-ms-high-contrast:black-on-white){.field_fe8f5b03.fieldIsDisabled_fe8f5b03:before{border-color:#600000}}.field_fe8f5b03.fieldIsDisabled_fe8f5b03 .ms-Label{color:\"[theme:neutralTertiaryAlt, default: #c8c8c8]\"}@media screen and (-ms-high-contrast:active){.field_fe8f5b03.fieldIsDisabled_fe8f5b03 .ms-Label{color:#0f0}}@media screen and (-ms-high-contrast:black-on-white){.field_fe8f5b03.fieldIsDisabled_fe8f5b03 .ms-Label{color:#600000}}.field_fe8f5b03.fieldIsChecked_fe8f5b03.fieldIsDisabled_fe8f5b03:before{background-color:\"[theme:white, default: #ffffff]\";border-color:\"[theme:neutralTertiaryAlt, default: #c8c8c8]\"}.field_fe8f5b03.fieldIsChecked_fe8f5b03.fieldIsDisabled_fe8f5b03:after{background-color:\"[theme:neutralTertiaryAlt, default: #c8c8c8]\"}.fieldIsIcon_fe8f5b03,.fieldIsImage_fe8f5b03{display:-webkit-inline-box;display:-ms-inline-flexbox;display:inline-flex;font-size:0;margin:0 4px 4px 0;background-color:\"[theme:neutralLighter, default: #f4f4f4]\";display:inline-block;box-sizing:border-box;min-width:96px;cursor:pointer;padding:4px;padding-top:22px;margin:0;text-align:center;transition:all .2s ease;border:2px solid transparent}[dir=rtl] .fieldIsIcon_fe8f5b03,[dir=rtl] .fieldIsImage_fe8f5b03{margin:0 0 4px 4px}[dir=ltr] .fieldIsIcon_fe8f5b03,[dir=ltr] .fieldIsImage_fe8f5b03{padding-left:0}[dir=rtl] .fieldIsIcon_fe8f5b03,[dir=rtl] .fieldIsImage_fe8f5b03{padding-right:0}.fieldIsIcon_fe8f5b03.fieldIsDisabled_fe8f5b03,.fieldIsImage_fe8f5b03.fieldIsDisabled_fe8f5b03{cursor:default}.fieldIsIcon_fe8f5b03.fieldIsDisabled_fe8f5b03 .innerField_fe8f5b03,.fieldIsImage_fe8f5b03.fieldIsDisabled_fe8f5b03 .innerField_fe8f5b03{opacity:.25}.fieldIsIcon_fe8f5b03 .innerField_fe8f5b03,.fieldIsImage_fe8f5b03 .innerField_fe8f5b03{position:relative;padding:0 28px}.fieldIsIcon_fe8f5b03 .innerField_fe8f5b03 .imageWrapper_fe8f5b03,.fieldIsImage_fe8f5b03 .innerField_fe8f5b03 .imageWrapper_fe8f5b03{padding-bottom:2px}.fieldIsIcon_fe8f5b03 .innerField_fe8f5b03 .imageWrapper_fe8f5b03.imageWrapperIsHidden_fe8f5b03,.fieldIsImage_fe8f5b03 .innerField_fe8f5b03 .imageWrapper_fe8f5b03.imageWrapperIsHidden_fe8f5b03{position:absolute;left:0;top:0;width:100%;height:100%;overflow:hidden;opacity:0}.fieldIsIcon_fe8f5b03 .innerField_fe8f5b03 .imageWrapper_fe8f5b03 .ms-Image,.fieldIsImage_fe8f5b03 .innerField_fe8f5b03 .imageWrapper_fe8f5b03 .ms-Image{display:inline-block}.fieldIsIcon_fe8f5b03 .labelWrapper_fe8f5b03,.fieldIsImage_fe8f5b03 .labelWrapper_fe8f5b03{display:block;position:relative;margin:4px 0 0;height:32px;line-height:16px;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;font-size:14px;font-weight:400}.fieldIsIcon_fe8f5b03 .labelWrapper_fe8f5b03 .ms-Label,.fieldIsImage_fe8f5b03 .labelWrapper_fe8f5b03 .ms-Label{padding:0}.fieldIsIcon_fe8f5b03:before,.fieldIsImage_fe8f5b03:before{top:3px;left:auto!important;opacity:0}[dir=ltr] .fieldIsIcon_fe8f5b03:before,[dir=ltr] .fieldIsImage_fe8f5b03:before{right:3px}[dir=rtl] .fieldIsIcon_fe8f5b03:before,[dir=rtl] .fieldIsImage_fe8f5b03:before{left:3px}.fieldIsIcon_fe8f5b03:after,.fieldIsImage_fe8f5b03:after{top:13px;left:auto!important}[dir=ltr] .fieldIsIcon_fe8f5b03:after,[dir=ltr] .fieldIsImage_fe8f5b03:after{right:13px}[dir=rtl] .fieldIsIcon_fe8f5b03:after,[dir=rtl] .fieldIsImage_fe8f5b03:after{left:13px}.fieldIsIcon_fe8f5b03:not(.fieldIsDisabled_fe8f5b03):focus,.fieldIsIcon_fe8f5b03:not(.fieldIsDisabled_fe8f5b03):hover,.fieldIsImage_fe8f5b03:not(.fieldIsDisabled_fe8f5b03):focus,.fieldIsImage_fe8f5b03:not(.fieldIsDisabled_fe8f5b03):hover{border-color:\"[theme:neutralTertiaryAlt, default: #c8c8c8]\"}.fieldIsIcon_fe8f5b03:not(.fieldIsDisabled_fe8f5b03):focus:before,.fieldIsIcon_fe8f5b03:not(.fieldIsDisabled_fe8f5b03):hover:before,.fieldIsImage_fe8f5b03:not(.fieldIsDisabled_fe8f5b03):focus:before,.fieldIsImage_fe8f5b03:not(.fieldIsDisabled_fe8f5b03):hover:before{opacity:1}.fieldIsIcon_fe8f5b03:not(.fieldIsDisabled_fe8f5b03).fieldIsChecked_fe8f5b03,.fieldIsImage_fe8f5b03:not(.fieldIsDisabled_fe8f5b03).fieldIsChecked_fe8f5b03{border-color:\"[theme:themePrimary, default: #0078d7]\"}.fieldIsIcon_fe8f5b03:not(.fieldIsDisabled_fe8f5b03).fieldIsChecked_fe8f5b03:before,.fieldIsImage_fe8f5b03:not(.fieldIsDisabled_fe8f5b03).fieldIsChecked_fe8f5b03:before{opacity:1}.fieldIsIcon_fe8f5b03:not(.fieldIsDisabled_fe8f5b03).fieldIsChecked_fe8f5b03:after,.fieldIsImage_fe8f5b03:not(.fieldIsDisabled_fe8f5b03).fieldIsChecked_fe8f5b03:after{top:8px}[dir=ltr] .fieldIsIcon_fe8f5b03:not(.fieldIsDisabled_fe8f5b03).fieldIsChecked_fe8f5b03:after,[dir=ltr] .fieldIsImage_fe8f5b03:not(.fieldIsDisabled_fe8f5b03).fieldIsChecked_fe8f5b03:after{right:8px}[dir=rtl] .fieldIsIcon_fe8f5b03:not(.fieldIsDisabled_fe8f5b03).fieldIsChecked_fe8f5b03:after,[dir=rtl] .fieldIsImage_fe8f5b03:not(.fieldIsDisabled_fe8f5b03).fieldIsChecked_fe8f5b03:after{left:8px}.fieldIsIcon_fe8f5b03:not(.fieldIsDisabled_fe8f5b03).fieldIsChecked_fe8f5b03:focus,.fieldIsIcon_fe8f5b03:not(.fieldIsDisabled_fe8f5b03).fieldIsChecked_fe8f5b03:focus:before,.fieldIsIcon_fe8f5b03:not(.fieldIsDisabled_fe8f5b03).fieldIsChecked_fe8f5b03:hover,.fieldIsIcon_fe8f5b03:not(.fieldIsDisabled_fe8f5b03).fieldIsChecked_fe8f5b03:hover:before,.fieldIsImage_fe8f5b03:not(.fieldIsDisabled_fe8f5b03).fieldIsChecked_fe8f5b03:focus,.fieldIsImage_fe8f5b03:not(.fieldIsDisabled_fe8f5b03).fieldIsChecked_fe8f5b03:focus:before,.fieldIsImage_fe8f5b03:not(.fieldIsDisabled_fe8f5b03).fieldIsChecked_fe8f5b03:hover,.fieldIsImage_fe8f5b03:not(.fieldIsDisabled_fe8f5b03).fieldIsChecked_fe8f5b03:hover:before{border-color:\"[theme:themeDark, default: #005a9e]\"}.fieldIsIcon_fe8f5b03:not(.fieldIsDisabled_fe8f5b03).fieldIsChecked_fe8f5b03:focus:after,.fieldIsIcon_fe8f5b03:not(.fieldIsDisabled_fe8f5b03).fieldIsChecked_fe8f5b03:hover:after,.fieldIsImage_fe8f5b03:not(.fieldIsDisabled_fe8f5b03).fieldIsChecked_fe8f5b03:focus:after,.fieldIsImage_fe8f5b03:not(.fieldIsDisabled_fe8f5b03).fieldIsChecked_fe8f5b03:hover:after{background-color:\"[theme:themeDark, default: #005a9e]\"}.choiceFieldIsIcon_fe8f5b03{height:96px;width:96px}.choiceFieldIsIcon_fe8f5b03 .iconWrapper_fe8f5b03{font-size:32px;line-height:32px;height:32px}.ms-Fabric.is-focusVisible .choiceFieldIsInFocus_fe8f5b03::-moz-focus-inner{border:0}.ms-Fabric.is-focusVisible .choiceFieldIsInFocus_fe8f5b03{outline:transparent;position:relative}.ms-Fabric.is-focusVisible .choiceFieldIsInFocus_fe8f5b03:after{content:\"\";position:absolute;top:1px;right:1px;bottom:1px;left:1px;pointer-events:none;border:1px solid}@media screen and (-ms-high-contrast:active){.ms-Fabric.is-focusVisible .choiceFieldIsInFocus_fe8f5b03::-moz-focus-inner{border:0}.ms-Fabric.is-focusVisible .choiceFieldIsInFocus_fe8f5b03{outline:transparent;position:relative}.ms-Fabric.is-focusVisible .choiceFieldIsInFocus_fe8f5b03:after{content:\"\";position:absolute;top:1px;right:1px;bottom:1px;left:1px;pointer-events:none;border:2px solid}}@media screen and (-ms-high-contrast:black-on-white){.ms-Fabric.is-focusVisible .choiceFieldIsInFocus_fe8f5b03::-moz-focus-inner{border:0}.ms-Fabric.is-focusVisible .choiceFieldIsInFocus_fe8f5b03{outline:transparent;position:relative}.ms-Fabric.is-focusVisible .choiceFieldIsInFocus_fe8f5b03:after{content:\"\";position:absolute;top:1px;right:1px;bottom:1px;left:1px;pointer-events:none;border:2px solid}}.ms-Fabric.is-focusVisible .choiceFieldIsInFocus_fe8f5b03.choiceFieldIsIcon_fe8f5b03::-moz-focus-inner,.ms-Fabric.is-focusVisible .choiceFieldIsInFocus_fe8f5b03.choiceFieldIsImage_fe8f5b03::-moz-focus-inner{border:0}.ms-Fabric.is-focusVisible .choiceFieldIsInFocus_fe8f5b03.choiceFieldIsIcon_fe8f5b03,.ms-Fabric.is-focusVisible .choiceFieldIsInFocus_fe8f5b03.choiceFieldIsImage_fe8f5b03{outline:transparent;position:relative}.ms-Fabric.is-focusVisible .choiceFieldIsInFocus_fe8f5b03.choiceFieldIsIcon_fe8f5b03:after,.ms-Fabric.is-focusVisible .choiceFieldIsInFocus_fe8f5b03.choiceFieldIsImage_fe8f5b03:after{content:\"\";position:absolute;top:0;right:0;bottom:0;left:0;pointer-events:none;border:1px solid}@media screen and (-ms-high-contrast:active){.ms-Fabric.is-focusVisible .choiceFieldIsInFocus_fe8f5b03.choiceFieldIsIcon_fe8f5b03::-moz-focus-inner,.ms-Fabric.is-focusVisible .choiceFieldIsInFocus_fe8f5b03.choiceFieldIsImage_fe8f5b03::-moz-focus-inner{border:0}.ms-Fabric.is-focusVisible .choiceFieldIsInFocus_fe8f5b03.choiceFieldIsIcon_fe8f5b03,.ms-Fabric.is-focusVisible .choiceFieldIsInFocus_fe8f5b03.choiceFieldIsImage_fe8f5b03{outline:transparent;position:relative}.ms-Fabric.is-focusVisible .choiceFieldIsInFocus_fe8f5b03.choiceFieldIsIcon_fe8f5b03:after,.ms-Fabric.is-focusVisible .choiceFieldIsInFocus_fe8f5b03.choiceFieldIsImage_fe8f5b03:after{content:\"\";position:absolute;top:1px;right:1px;bottom:1px;left:1px;pointer-events:none;border:2px solid}}@media screen and (-ms-high-contrast:black-on-white){.ms-Fabric.is-focusVisible .choiceFieldIsInFocus_fe8f5b03.choiceFieldIsIcon_fe8f5b03::-moz-focus-inner,.ms-Fabric.is-focusVisible .choiceFieldIsInFocus_fe8f5b03.choiceFieldIsImage_fe8f5b03::-moz-focus-inner{border:0}.ms-Fabric.is-focusVisible .choiceFieldIsInFocus_fe8f5b03.choiceFieldIsIcon_fe8f5b03,.ms-Fabric.is-focusVisible .choiceFieldIsInFocus_fe8f5b03.choiceFieldIsImage_fe8f5b03{outline:transparent;position:relative}.ms-Fabric.is-focusVisible .choiceFieldIsInFocus_fe8f5b03.choiceFieldIsIcon_fe8f5b03:after,.ms-Fabric.is-focusVisible .choiceFieldIsInFocus_fe8f5b03.choiceFieldIsImage_fe8f5b03:after{content:\"\";position:absolute;top:1px;right:1px;bottom:1px;left:1px;pointer-events:none;border:3px solid}}", ""]);

// exports


/***/ }),

/***/ 88:
/***/ (function(module, exports, __webpack_require__) {

var content = __webpack_require__(89);
var loader = __webpack_require__(10);

if(typeof content === "string") content = [[module.i, content]];

// add the styles to the DOM
for (var i = 0; i < content.length; i++) loader.loadStyles(content[i][1], true);

if(content.locals) module.exports = content.locals;

/***/ }),

/***/ 89:
/***/ (function(module, exports, __webpack_require__) {

exports = module.exports = __webpack_require__(13)(undefined);
// imports


// module
exports.push([module.i, ".propertyPaneTitleBarBox_54133e5e{position:absolute;width:100%;top:0;padding-bottom:20px}.propertyPaneTitleBar_54133e5e{background:#3c3c3c;padding:10px 20px 12px;height:25px}.propertyPanePageTitle_54133e5e{line-height:1.2}[dir=ltr] .propertyPanePageTitle_54133e5e{margin-right:20px}[dir=rtl] .propertyPanePageTitle_54133e5e{margin-left:20px}.propertyPaneClose_54133e5e{background-color:transparent;border:none;color:#fff;cursor:pointer;font-size:20px;padding:0 20px;position:absolute;top:13px;min-width:0}[dir=ltr] .propertyPaneClose_54133e5e{right:0}[dir=rtl] .propertyPaneClose_54133e5e{left:0}.propertyPanePageContent_54133e5e{position:absolute;width:100%;top:67px;bottom:0;overflow-x:hidden;overflow-y:auto}.propertyPanePageDescription_54133e5e{padding:0 20px 16px;color:\"[theme:neutralPrimary, default: #333333]\";font-size:14px}", ""]);

// exports


/***/ }),

/***/ 90:
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = __webpack_require__(0);
var decorators_1 = __webpack_require__(2);
var sp_core_library_1 = __webpack_require__(1);
var React = __webpack_require__(4);
var office_ui_fabric_react_1 = __webpack_require__(9);
var Strings_resx_1 = __webpack_require__(18);
var PropertyPane_module_scss_1 = __webpack_require__(77);
var PropertyPaneTitleBar_module_scss_1 = __webpack_require__(93);
var PropertyPaneTitleBar = (function (_super) {
    tslib_1.__extends(PropertyPaneTitleBar, _super);
    function PropertyPaneTitleBar() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    PropertyPaneTitleBar.prototype.render = function () {
        return (React.createElement("div", { className: PropertyPaneTitleBar_module_scss_1.default.propertyPaneTitleBarBox },
            React.createElement("div", { className: PropertyPaneTitleBar_module_scss_1.default.propertyPaneTitleBar },
                React.createElement("div", { className: office_ui_fabric_react_1.css(PropertyPaneTitleBar_module_scss_1.default.propertyPanePageTitle, 'ms-font-xl', 'ms-fontColor-white') }, this.props.title),
                React.createElement("div", { className: PropertyPane_module_scss_1.default.propertyPaneScreenReaderOnly, id: 'propertyPaneTitleId' }, sp_core_library_1.Text.format(Strings_resx_1.default.PropertyPaneTitle, this.props.title)),
                React.createElement("button", { tabIndex: this.props.title ? 0 : -1, className: PropertyPaneTitleBar_module_scss_1.default.propertyPaneClose, onClick: this.props.onClose, "aria-label": Strings_resx_1.default.Close },
                    React.createElement(office_ui_fabric_react_1.Icon, { iconName: 'Cancel' })))));
    };
    PropertyPaneTitleBar = tslib_1.__decorate([
        decorators_1.sealed
    ], PropertyPaneTitleBar);
    return PropertyPaneTitleBar;
}(React.Component));
exports.default = PropertyPaneTitleBar;


/***/ }),

/***/ 91:
/***/ (function(module, exports, __webpack_require__) {

var content = __webpack_require__(92);
var loader = __webpack_require__(10);

if(typeof content === "string") content = [[module.i, content]];

// add the styles to the DOM
for (var i = 0; i < content.length; i++) loader.loadStyles(content[i][1], true);

if(content.locals) module.exports = content.locals;

/***/ }),

/***/ 92:
/***/ (function(module, exports, __webpack_require__) {

exports = module.exports = __webpack_require__(13)(undefined);
// imports


// module
exports.push([module.i, ".propertyPane_0d8d9eff{top:0;bottom:0;position:absolute;background-color:\"[theme:primaryBackground, default: #ffffff]\";width:340px;-webkit-font-smoothing:antialiased;max-width:100%}[dir=ltr] .propertyPane_0d8d9eff{border-left-width:1px}[dir=rtl] .propertyPane_0d8d9eff{border-right-width:1px}[dir=ltr] .propertyPane_0d8d9eff{border-left-style:solid}[dir=rtl] .propertyPane_0d8d9eff{border-right-style:solid}[dir=ltr] .propertyPane_0d8d9eff{border-left-color:\"[theme:neutralLight, default: #eaeaea]\"}[dir=rtl] .propertyPane_0d8d9eff{border-right-color:\"[theme:neutralLight, default: #eaeaea]\"}[dir=ltr] .propertyPane_0d8d9eff{right:0}[dir=rtl] .propertyPane_0d8d9eff{left:0}.propertyPaneDescription_0d8d9eff{padding:0 20px;color:\"[theme:neutralPrimary, default: #333333]\";font-size:14px}.propertyPaneScreenReaderOnly_0d8d9eff{position:absolute;text-indent:-9999px;width:1px;height:1px;padding:0;margin:-1px;overflow:hidden;border:0}.twoRowFooter_0d8d9eff{bottom:125px}.oneRowFooter_0d8d9eff{bottom:72px}.overlay_0d8d9eff{height:100%;width:340px;z-index:1}.spinner_0d8d9eff{top:50%;position:relative}", ""]);

// exports


/***/ }),

/***/ 93:
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
__webpack_require__(94);
var styles = {
    propertyPaneTitleBarBox: 'propertyPaneTitleBarBox_6da9b8c6',
    propertyPaneTitleBar: 'propertyPaneTitleBar_6da9b8c6',
    propertyPanePageTitle: 'propertyPanePageTitle_6da9b8c6',
    propertyPaneClose: 'propertyPaneClose_6da9b8c6',
};
exports.default = styles;


/***/ }),

/***/ 94:
/***/ (function(module, exports, __webpack_require__) {

var content = __webpack_require__(95);
var loader = __webpack_require__(10);

if(typeof content === "string") content = [[module.i, content]];

// add the styles to the DOM
for (var i = 0; i < content.length; i++) loader.loadStyles(content[i][1], true);

if(content.locals) module.exports = content.locals;

/***/ }),

/***/ 95:
/***/ (function(module, exports, __webpack_require__) {

exports = module.exports = __webpack_require__(13)(undefined);
// imports


// module
exports.push([module.i, ".propertyPaneTitleBarBox_6da9b8c6{position:absolute;width:100%;top:0;padding-bottom:20px}.propertyPaneTitleBar_6da9b8c6{background:#3c3c3c;padding:10px 20px 12px;height:25px}.propertyPanePageTitle_6da9b8c6{line-height:1.2}[dir=ltr] .propertyPanePageTitle_6da9b8c6{margin-right:20px}[dir=rtl] .propertyPanePageTitle_6da9b8c6{margin-left:20px}.propertyPaneClose_6da9b8c6{background-color:transparent;border:none;color:#fff;cursor:pointer;font-size:20px;padding:0 20px;position:absolute;top:13px;min-width:0}[dir=ltr] .propertyPaneClose_6da9b8c6{right:0}[dir=rtl] .propertyPaneClose_6da9b8c6{left:0}", ""]);

// exports


/***/ }),

/***/ 96:
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = __webpack_require__(0);
var decorators_1 = __webpack_require__(2);
var sp_core_library_1 = __webpack_require__(1);
var React = __webpack_require__(4);
var office_ui_fabric_react_bundle_1 = __webpack_require__(74);
var Strings_resx_1 = __webpack_require__(18);
var PropertyPaneFooter_module_scss_1 = __webpack_require__(97);
var PropertyPane_1 = __webpack_require__(73);
var PropertyPaneFooter = (function (_super) {
    tslib_1.__extends(PropertyPaneFooter, _super);
    function PropertyPaneFooter(props) {
        var _this = _super.call(this, props) || this;
        _this._renderCommandButtons = _this._renderCommandButtons.bind(_this);
        _this._pageNavigationButtons = _this._pageNavigationButtons.bind(_this);
        return _this;
    }
    PropertyPaneFooter.prototype.render = function () {
        return ((!this.props.isReactive || this.props.numberOfPages > 1) && (React.createElement("div", { className: PropertyPaneFooter_module_scss_1.default.propertyPaneFooter },
            this._renderCommandButtons(),
            this._pageNavigationButtons()))); 
    };
    PropertyPaneFooter.prototype._renderCommandButtons = function () {
        return ((this.props.isReactive === false) && (React.createElement("div", { className: this.props.numberOfPages > 1 ? PropertyPaneFooter_module_scss_1.default.propertyPaneCommandButtonsBox : undefined },
            React.createElement(office_ui_fabric_react_bundle_1.PrimaryButton, { disabled: !this.props.isSaveButtonEnabled, onClick: this.props.onSaveClick, ariaDescription: Strings_resx_1.default.ApplyButtonAriaDescription }, Strings_resx_1.default.Save)))); 
    };
    PropertyPaneFooter.prototype._pageNavigationButtons = function () {
        var _this = this;
        return (this.props.numberOfPages > 1 && (React.createElement("div", { className: PropertyPaneFooter_module_scss_1.default.propertyPanePageNav },
            React.createElement("button", { className: PropertyPaneFooter_module_scss_1.default.propertyPaneBackNavLink, disabled: this.props.currentPage === 1, onClick: function () { _this.props.onFlipPage(PropertyPane_1.PageDirection.back); } },
                React.createElement("i", { className: office_ui_fabric_react_bundle_1.css(this._arrowKeyIcon(PropertyPane_1.PageDirection.back), PropertyPaneFooter_module_scss_1.default.propertyPaneBackArrow) }),
                Strings_resx_1.default.PropertyPaneBackPage),
            React.createElement("span", { role: 'status', className: office_ui_fabric_react_bundle_1.css(PropertyPaneFooter_module_scss_1.default.propertyPanePageOfPages) }, sp_core_library_1.Text.format(Strings_resx_1.default.PropertyPanePageOfPages, this.props.currentPage, this.props.numberOfPages)),
            React.createElement("button", { className: PropertyPaneFooter_module_scss_1.default.propertyPaneNextNavLink, disabled: this.props.currentPage === this.props.numberOfPages, onClick: function () { _this.props.onFlipPage(PropertyPane_1.PageDirection.next); } },
                Strings_resx_1.default.PropertyPaneNextPage,
                React.createElement("i", { className: office_ui_fabric_react_bundle_1.css(this._arrowKeyIcon(PropertyPane_1.PageDirection.next), PropertyPaneFooter_module_scss_1.default.propertyPaneNextArrow) }))))); 
    };
    PropertyPaneFooter.prototype._arrowKeyIcon = function (dir) {
        var rtl = document.dir === 'rtl';
        var chevronRightIcon = office_ui_fabric_react_bundle_1.getIconClassName('ChevronRight');
        var chevronLeftIcon = office_ui_fabric_react_bundle_1.getIconClassName('ChevronLeft');
        if (dir === PropertyPane_1.PageDirection.back) {
            return rtl ? chevronRightIcon : chevronLeftIcon;
        }
        else {
            return rtl ? chevronLeftIcon : chevronRightIcon;
        }
    };
    PropertyPaneFooter = tslib_1.__decorate([
        decorators_1.sealed
    ], PropertyPaneFooter);
    return PropertyPaneFooter;
}(React.Component));
exports.default = PropertyPaneFooter;


/***/ }),

/***/ 97:
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
__webpack_require__(98);
var styles = {
    propertyPaneFooter: 'propertyPaneFooter_893885e2',
    propertyPaneCommandButtonsBox: 'propertyPaneCommandButtonsBox_893885e2',
    propertyPanePageNav: 'propertyPanePageNav_893885e2',
    propertyPaneBackNavLink: 'propertyPaneBackNavLink_893885e2',
    propertyPaneNextNavLink: 'propertyPaneNextNavLink_893885e2',
    propertyPaneBackArrow: 'propertyPaneBackArrow_893885e2',
    propertyPaneNextArrow: 'propertyPaneNextArrow_893885e2',
    propertyPanePageOfPages: 'propertyPanePageOfPages_893885e2',
};
exports.default = styles;


/***/ }),

/***/ 98:
/***/ (function(module, exports, __webpack_require__) {

var content = __webpack_require__(99);
var loader = __webpack_require__(10);

if(typeof content === "string") content = [[module.i, content]];

// add the styles to the DOM
for (var i = 0; i < content.length; i++) loader.loadStyles(content[i][1], true);

if(content.locals) module.exports = content.locals;

/***/ }),

/***/ 99:
/***/ (function(module, exports, __webpack_require__) {

exports = module.exports = __webpack_require__(13)(undefined);
// imports


// module
exports.push([module.i, ".propertyPaneFooter_893885e2{background-color:\"[theme:primaryBackground, default: #ffffff]\";position:absolute;bottom:0;left:0;padding:20px;right:0}.propertyPaneCommandButtonsBox_893885e2{padding-bottom:20px}.propertyPanePageNav_893885e2{-webkit-box-align:baseline;-ms-flex-align:baseline;align-items:baseline;display:-webkit-box;display:-ms-flexbox;display:flex;-webkit-box-pack:justify;-ms-flex-pack:justify;justify-content:space-between}.propertyPaneBackNavLink_893885e2,.propertyPaneNextNavLink_893885e2{background-color:transparent;border:0;color:\"[theme:neutralPrimary, default: #333333]\";font-size:14px;font-weight:400;height:32px;outline:0;padding:0}.propertyPaneBackNavLink_893885e2 .propertyPaneBackArrow_893885e2,.propertyPaneBackNavLink_893885e2 .propertyPaneNextArrow_893885e2,.propertyPaneNextNavLink_893885e2 .propertyPaneBackArrow_893885e2,.propertyPaneNextNavLink_893885e2 .propertyPaneNextArrow_893885e2{color:\"[theme:themePrimary, default: #0078d7]\";position:relative;top:2px}[dir=ltr] .propertyPaneBackNavLink_893885e2 .propertyPaneBackArrow_893885e2,[dir=ltr] .propertyPaneNextNavLink_893885e2 .propertyPaneBackArrow_893885e2{margin-right:4px}[dir=ltr] .propertyPaneBackNavLink_893885e2 .propertyPaneNextArrow_893885e2,[dir=ltr] .propertyPaneNextNavLink_893885e2 .propertyPaneNextArrow_893885e2,[dir=rtl] .propertyPaneBackNavLink_893885e2 .propertyPaneBackArrow_893885e2,[dir=rtl] .propertyPaneNextNavLink_893885e2 .propertyPaneBackArrow_893885e2{margin-left:4px}[dir=rtl] .propertyPaneBackNavLink_893885e2 .propertyPaneNextArrow_893885e2,[dir=rtl] .propertyPaneNextNavLink_893885e2 .propertyPaneNextArrow_893885e2{margin-right:4px}.propertyPaneBackNavLink_893885e2:disabled,.propertyPaneBackNavLink_893885e2:disabled .propertyPaneBackArrow_893885e2,.propertyPaneBackNavLink_893885e2:disabled .propertyPaneNextArrow_893885e2,.propertyPaneNextNavLink_893885e2:disabled,.propertyPaneNextNavLink_893885e2:disabled .propertyPaneBackArrow_893885e2,.propertyPaneNextNavLink_893885e2:disabled .propertyPaneNextArrow_893885e2{color:\"[theme:neutralTertiary, default: #a6a6a6]\"}.propertyPaneBackNavLink_893885e2:not(:disabled):active,.propertyPaneBackNavLink_893885e2:not(:disabled):focus,.propertyPaneBackNavLink_893885e2:not(:disabled):hover,.propertyPaneNextNavLink_893885e2:not(:disabled):active,.propertyPaneNextNavLink_893885e2:not(:disabled):focus,.propertyPaneNextNavLink_893885e2:not(:disabled):hover{background-color:\"[theme:themeLight, default: #c7e0f4]\";color:\"[theme:themePrimary, default: #0078d7]\";cursor:pointer}.propertyPaneBackNavLink_893885e2:not(:disabled):active .propertyPaneBackArrow_893885e2,.propertyPaneBackNavLink_893885e2:not(:disabled):active .propertyPaneNextArrow_893885e2,.propertyPaneBackNavLink_893885e2:not(:disabled):focus .propertyPaneBackArrow_893885e2,.propertyPaneBackNavLink_893885e2:not(:disabled):focus .propertyPaneNextArrow_893885e2,.propertyPaneBackNavLink_893885e2:not(:disabled):hover .propertyPaneBackArrow_893885e2,.propertyPaneBackNavLink_893885e2:not(:disabled):hover .propertyPaneNextArrow_893885e2,.propertyPaneNextNavLink_893885e2:not(:disabled):active .propertyPaneBackArrow_893885e2,.propertyPaneNextNavLink_893885e2:not(:disabled):active .propertyPaneNextArrow_893885e2,.propertyPaneNextNavLink_893885e2:not(:disabled):focus .propertyPaneBackArrow_893885e2,.propertyPaneNextNavLink_893885e2:not(:disabled):focus .propertyPaneNextArrow_893885e2,.propertyPaneNextNavLink_893885e2:not(:disabled):hover .propertyPaneBackArrow_893885e2,.propertyPaneNextNavLink_893885e2:not(:disabled):hover .propertyPaneNextArrow_893885e2{color:\"[theme:themeDark, default: #005a9e]\"}.propertyPanePageOfPages_893885e2{margin-top:6px}", ""]);

// exports


/***/ })

});