/// <reference types="react" />
import * as React from 'react';
import { IPlaceholderSpinnerProps } from './IPlaceholderSpinnerProps';
import './Placeholder.scss';
/**
 * Placeholder spinner state
 *
 * @internal
 */
export interface IPlaceholderSpinnerState {
    /**
     * Use this flag to hide rotating spinner but maintain height of the placeholder container
     */
    showSpinner: boolean;
    /**
     * Use this flag to clear the placeholder completely from the Dom tree
     */
    removePlaceholder?: boolean;
}
/**
 * Component used to display place holder content in the web part display area.
 *
 * @internal
 */
export default class PlaceholderSpinner extends React.Component<IPlaceholderSpinnerProps, IPlaceholderSpinnerState> {
    private _isMounted;
    constructor(props: IPlaceholderSpinnerProps);
    componentDidMount(): void;
    /**
     * Render the place holder user experience.
     */
    render(): React.ReactElement<IPlaceholderSpinnerProps>;
    componentWillUnmount(): void;
    showSpinner(showSpinner: boolean): void;
    /**
     * Get rid of the placeholder completely from the DOM tree
     */
    clearPlaceholder(): void;
}
