"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var decorators_1 = require("@microsoft/decorators");
var React = require("react");
var office_ui_fabric_react_1 = require("office-ui-fabric-react");
var WebPartForm = (function (_super) {
    tslib_1.__extends(WebPartForm, _super);
    function WebPartForm(props) {
        var _this = _super.call(this, props) || this;
        _this._handleKeyDown = _this._handleKeyDown.bind(_this);
        _this._handleClick = _this._handleClick.bind(_this);
        return _this;
    }
    WebPartForm.prototype.render = function () {
        var _this = this;
        var nativeProps = office_ui_fabric_react_1.getNativeProps(this.props, office_ui_fabric_react_1.divProperties);
        return (this.props.isClassicSharePointPage
            ? (React.createElement("div", tslib_1.__assign({ ref: function (ref) { return _this._webpartDiv = ref; }, role: 'form' }, nativeProps, { onKeyDown: this._handleKeyDown, onClick: this._handleClick }), this.props.children))
            : (React.createElement("form", tslib_1.__assign({}, nativeProps), this.props.children)));
    };
    WebPartForm.prototype._handleKeyDown = function (evt) {
        if (this.props.onKeyDown) {
            this.props.onKeyDown(evt);
        }
        if (evt.keyCode === 13  && this.props.onSubmit) {
            this.props.onSubmit(evt);
        }
    };
    WebPartForm.prototype._handleClick = function (event) {
        if (this.props.onSubmit && document.activeElement === this._submitElement) {
            this.props.onSubmit(event);
        }
    };
    Object.defineProperty(WebPartForm.prototype, "_submitElement", {
        get: function () {
            return this._webpartDiv.querySelector('input[type="submit"], button:not([type="reset"]):not([type="button"]):not([type="menu"])');
        },
        enumerable: true,
        configurable: true
    });
    WebPartForm = tslib_1.__decorate([
        decorators_1.sealed
    ], WebPartForm);
    return WebPartForm;
}(React.Component));
exports.default = WebPartForm;
