import ClientSideWebPartManager from './ClientSideWebPartManager';
import IWebPartData from './IWebPartData';
import IWebPartHost from './IWebPartHost';
import IWebPartManagerContext from './IWebPartManagerContext';
/**
 * The ClientSideWebPartMaintenanceModeManager is the web part manager instance used
 * when the web parts are rendered in maintenance mode.
 *
 * @internal
 */
export default class ClientSideWebPartMaintenanceModeManager extends ClientSideWebPartManager {
    private _wpMaintenanceModeData;
    /**
     * See ClientSideWebPartManager
     */
    constructor(host: IWebPartHost);
    /**
     * See ClientSideWebPartManager
     */
    loadWebPart(context: IWebPartManagerContext): Promise<void>;
    /**
     * See ClientSideWebPartManager
     */
    serialize(instanceId?: string): Map<string, IWebPartData | undefined>;
    /**
     * See ClientSideWebPartManager
     */
    dispose(instanceId?: string): void;
    private _loadWebPartInMaintenanceMode(context);
}
