'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var decorators_1 = require("@microsoft/decorators");
var sp_core_library_1 = require("@microsoft/sp-core-library");
var ClassicPageUtils_1 = require("./classicPages/ClassicPageUtils");
var ClientSideWebPartManager_1 = require("./ClientSideWebPartManager");
var MaintenanceModeRenderer_1 = require("../maintenanceMode/MaintenanceModeRenderer");
var ClientSideWebPartMaintenanceModeManager = (function (_super) {
    tslib_1.__extends(ClientSideWebPartMaintenanceModeManager, _super);
    function ClientSideWebPartMaintenanceModeManager(host) {
        var _this = _super.call(this, host) || this;
        _this._wpMaintenanceModeData = new Map();
        return _this;
    }
    ClientSideWebPartMaintenanceModeManager.prototype.loadWebPart = function (context) {
        this._loadWebPartInMaintenanceMode(context);
        this._wpMaintenanceModeData.set(context.instanceId, context.webPartData);
        return Promise.resolve();
    };
    ClientSideWebPartMaintenanceModeManager.prototype.serialize = function (instanceId) {
        return this._wpMaintenanceModeData;
    };
    ClientSideWebPartMaintenanceModeManager.prototype.dispose = function (instanceId) {
        if (instanceId) {
            this._wpMaintenanceModeData.delete(instanceId);
        }
        else {
            this._wpMaintenanceModeData = new Map();
        }
    };
    ClientSideWebPartMaintenanceModeManager.prototype._loadWebPartInMaintenanceMode = function (context) {
        var webPartContext = this._getWebPartContext(context);
        webPartContext.serviceScope.finish();
        MaintenanceModeRenderer_1.default.render(webPartContext, context.webPartData, function () {
            ClassicPageUtils_1.default.disableAutomaticPostbacks(context.domElement, sp_core_library_1.Environment.type);
        });
    };
    ClientSideWebPartMaintenanceModeManager = tslib_1.__decorate([
        decorators_1.sealed
    ], ClientSideWebPartMaintenanceModeManager);
    return ClientSideWebPartMaintenanceModeManager;
}(ClientSideWebPartManager_1.default));
exports.default = ClientSideWebPartMaintenanceModeManager;
