/// <reference types="react" />
import * as React from 'react';
/**
 * Interface of FriendlyErrorMessage.
 */
export interface IFriendlyErrorMessageProps {
    /**
     * Error message to be rendered by webpart.
     */
    errorMessage: string;
}
/**
 * Interface of IFriendlyErrorMessageState.
 */
export interface IFriendlyErrorMessageState {
    /**
     * Is the ErrorMessage visible or not?
     */
    isExpanded: boolean;
}
/**
 * The error friendly component used for rendering webpart errors.
 */
export default class FriendlyErrorMessage extends React.Component<IFriendlyErrorMessageProps, IFriendlyErrorMessageState> {
    constructor(props: IFriendlyErrorMessageProps);
    render(): React.ReactElement<IFriendlyErrorMessageProps>;
    private _toggleExpandedDetails();
}
