"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var Strings_resx_1 = require("./loc/Strings.resx");
var cswp_base_module_scss_1 = require("./styles/cswp-base.module.scss");
var ErrorMessage_1 = require("./ErrorMessage");
var React = require("react");
var FriendlyErrorMessage = (function (_super) {
    tslib_1.__extends(FriendlyErrorMessage, _super);
    function FriendlyErrorMessage(props) {
        var _this = _super.call(this, props) || this;
        _this.state = {
            isExpanded: false
        };
        _this._toggleExpandedDetails = _this._toggleExpandedDetails.bind(_this);
        return _this;
    }
    FriendlyErrorMessage.prototype.render = function () {
        var isExpanded = this.state.isExpanded;
        return (React.createElement("div", { className: cswp_base_module_scss_1.default.errorBox },
            React.createElement("div", null,
                React.createElement("h2", { className: cswp_base_module_scss_1.default.somethingWentWrongText }, Strings_resx_1.default.WebpartErrorSomethingWentWrong)),
            React.createElement("div", null,
                React.createElement("span", { className: cswp_base_module_scss_1.default.siteAdminText }, Strings_resx_1.default.WebpartErrorSiteAdminAdvice)),
            React.createElement("div", null,
                React.createElement("button", { onClick: this._toggleExpandedDetails, className: cswp_base_module_scss_1.default.detailsButton }, Strings_resx_1.default.WebpartErrorTechnicalDetails)),
            isExpanded &&
                React.createElement(ErrorMessage_1.default, { errorMessage: this.props.errorMessage })));
    };
    FriendlyErrorMessage.prototype._toggleExpandedDetails = function () {
        this.setState({ isExpanded: !this.state.isExpanded });
    };
    return FriendlyErrorMessage;
}(React.Component));
exports.default = FriendlyErrorMessage;
