/**
 * @file IWebPartEvent.ts
 * @copyright Microsoft Corporation. All rights reserved.
 */
import { IEvent } from './events/IEvent';
/**
 * Structure representing webpart - webpart events
 *
 * @internal
 */
interface IWebPartEvent<T> extends IEvent<T> {
    /**
     * Source webpart name
     */
    source: string;
    /**
     * Target webpart name
     */
    target: string;
}
export default IWebPartEvent;
