"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var decorators_1 = require("@microsoft/decorators");
var sp_http_1 = require("@microsoft/sp-http");
var sp_telemetry_1 = require("@ms/sp-telemetry");
var sp_component_base_1 = require("@microsoft/sp-component-base");
var sp_core_library_1 = require("@microsoft/sp-core-library");
var PropertyPaneDefinitions_1 = require("../propertyPane/propertyPane/PropertyPaneDefinitions");
var PropertyPaneAccessor_1 = require("./context/PropertyPaneAccessor");
var WebPartContext = (function (_super) {
    tslib_1.__extends(WebPartContext, _super);
    function WebPartContext(parameters) {
        var _this = _super.call(this, parameters) || this;
        sp_core_library_1.Validate.isNotNullOrUndefined(parameters, 'webpart context');
        sp_core_library_1.Validate.isNotNullOrUndefined(parameters.domElement, "webpart context domElement");
        sp_core_library_1.Validate.isNotNullOrUndefined(parameters.instanceId, 'webpart context instanceId');
        sp_core_library_1.Validate.isNotNullOrUndefined(parameters.webPartTag, 'webpart context webPartTag');
        sp_core_library_1.Validate.isNotNullOrUndefined(parameters.eventAggregator, 'webpart context eventAggregator');
        sp_core_library_1.Validate.isNotNullOrUndefined(parameters.statusRenderer, 'webpart context statusRenderer');
        sp_core_library_1.Validate.isNotNullOrUndefined(parameters.host, 'webpart context host');
        sp_core_library_1.Validate.isNotNullOrUndefined(parameters.isPropertyPaneRenderedByWebPart, 'webpart context isPropertyPaneRenderedByWebPart');
        sp_core_library_1.Validate.isNotNullOrUndefined(parameters.isPropertyPaneOpen, 'webpart context isPropertyPaneOpen');
        sp_core_library_1.Validate.isNotNullOrUndefined(parameters.setPropertyPaneState, 'webpart context setPropertyPaneState');
        _this._webPartTag = parameters.webPartTag;
        _this._domElement = parameters.domElement;
        _this._host = parameters.host;
        _this._statusRenderer = parameters.statusRenderer;
        _this._eventAggregator = parameters.eventAggregator;
        _this._setPropertyPaneState = parameters.setPropertyPaneState;
        _this._isPropertyPaneRenderedByWebPart = parameters.isPropertyPaneRenderedByWebPart;
        _this._isPropertyPaneOpen = parameters.isPropertyPaneOpen;
        _this._propertyPaneAccessor = new PropertyPaneAccessor_1.default(function () { _this._setPropertyPaneState(_this.instanceId, PropertyPaneDefinitions_1.PropertyPaneState.Open, true); }, function () { _this._setPropertyPaneState(_this.instanceId, PropertyPaneDefinitions_1.PropertyPaneState.Refresh); }, function () { return _this._isPropertyPaneRenderedByWebPart(); }, function () { return _this._isPropertyPaneOpen(); });
        if (DATACENTER) {
            _this._graphHttpClient = _this.serviceScope.createDefaultAndProvide(sp_http_1.GraphHttpClient.serviceKey);
        }
        _this._httpClient = _this.serviceScope.createDefaultAndProvide(sp_http_1.HttpClient.serviceKey);
        _this._spHttpClient = _this.serviceScope.createDefaultAndProvide(sp_http_1.SPHttpClient.serviceKey);
        return _this;
    }
    Object.defineProperty(WebPartContext.prototype, "webPartTag", {
        get: function () { return this._webPartTag; },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(WebPartContext.prototype, "domElement", {
        get: function () { return this._domElement; },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(WebPartContext.prototype, "httpClient", {
        get: function () { return this._httpClient; },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(WebPartContext.prototype, "spHttpClient", {
        get: function () { return this._spHttpClient; },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(WebPartContext.prototype, "graphHttpClient", {
        get: function () {
            if (!DATACENTER) {
                sp_telemetry_1._TraceLogger.logVerbose(this._logSource, 'GraphHttpClient is not supported for OnPrem.');
            }
            return this._graphHttpClient;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(WebPartContext.prototype, "statusRenderer", {
        get: function () { return this._statusRenderer; },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(WebPartContext.prototype, "eventAggregator", {
        get: function () {
            if (!DATACENTER) {
                sp_telemetry_1._TraceLogger.logVerbose(this._logSource, 'EventAggregator is not supported for OnPrem.');
            }
            return this._eventAggregator;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(WebPartContext.prototype, "propertyPane", {
        get: function () { return this._propertyPaneAccessor; },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(WebPartContext.prototype, "host", {
        get: function () { return this._host; },
        enumerable: true,
        configurable: true
    });
    WebPartContext = tslib_1.__decorate([
        decorators_1.sealed
    ], WebPartContext);
    return WebPartContext;
}(sp_component_base_1.BaseComponentContext));
exports.default = WebPartContext;
