export default class WebPartMetrics {
    /**
     * Number of web parts on the page
     */
    static readonly webParts: string;
    /**
     * Number of web parts counted in the viewport for EUPL calculation
     */
    static readonly webPartsCountedInViewport: string;
    /**
     * Number of web parts finally not in the viewport but loaded in initial viewport
     * loading.
     * E.g. Top web part after load gained lot of height pushing web part belong it out of viewport
     * once it is loaded
     */
    static readonly webPartsLoadedNotInViewport: string;
    /**
     * Web part loaded initiallly for viewport rendering.
     */
    static readonly webPartsLoadedForViewport: string;
    /**
     * Web part loaded when user scrolled to it.
     */
    static readonly webPartsLoadedByScroll: string;
    /**
     * Web part was auto started loadeding before user could scroll to it.
     */
    static readonly webPartsLoadedBeforeScroll: string;
}
