import { EnvironmentType } from '@microsoft/sp-core-library';
/**
 * Utility class to help fixup web part DOM in classic pages to make the behaviour consistent.
 *
 * @internal
 */
export default class ClassicPageUtils {
    /**
     * Disable all automatic postbacks by button clicks or enter in an input tag.
     */
    static disableAutomaticPostbacks(domElement: HTMLElement, env: EnvironmentType): void;
    /**
     * Method to remove the unwanted old fabric styles from the page, which are being injected from the
     * server side. Permanent fix would be remove the server side injection.
     *
     * @todo (VSO SPPPLAT#258820) Remove fabric.min.css and related injections from the server side on the classic page.
     */
    static removeFabricLinks(): void;
}
