'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
var sp_core_library_1 = require("@microsoft/sp-core-library");
var ClassicPageUtils = (function () {
    function ClassicPageUtils() {
    }
    ClassicPageUtils.disableAutomaticPostbacks = function (domElement, env) {
        sp_core_library_1.Validate.isNotNullOrUndefined(domElement, 'domElement');
        if (env === sp_core_library_1.EnvironmentType.ClassicSharePoint) {
            domElement.addEventListener('click', function (event) {
                event.preventDefault ? event.preventDefault() : (event.returnValue = false);
            }, true );
            domElement.addEventListener('keydown', function (event) {
                if (event.keyCode === 13) {
                    event.preventDefault ? event.preventDefault() : (event.returnValue = false);
                }
            }, true );
        }
    };
    ClassicPageUtils.removeFabricLinks = function () {
        var links = document.getElementsByTagName('link');
        if (links && links.length) {
            for (var i = 0; i < links.length; i++) {
                if (links[i] && links[i].href.indexOf('fabric.min.css') !== -1) {
                    var parentNode = links[i].parentNode;
                    if (parentNode) {
                        parentNode.removeChild(links[i]);
                    }
                }
            }
        }
    };
    return ClassicPageUtils;
}());
exports.default = ClassicPageUtils;
