/**
 * Web part context property pane accessor. Provides some most commonly used utilities
 * to access the property pane.
 *
 * @public
 */
export default class PropertyPaneAccessor {
    private _open;
    private _refresh;
    private _isRenderedByWebPart;
    private _isPropertyPaneOpen;
    constructor(openProperytPane: () => void, refresh: () => void, isRenderedByWebPart: () => boolean, isPropertyPaneOpen: () => boolean);
    /**
     * Api to open the PropertyPane.
     */
    open(): void;
    /**
     * Api to refresh the contents of the PropertyPane.
     * It's a no operation scenario if a web part is asking to refresh the property pane
     * while some other web part is being configured.
     */
    refresh(): void;
    /**
     * Returns true if the current property pane source is a web part and not the Canvas or any other source.
     */
    isRenderedByWebPart(): boolean;
    /**
     * Returns true if the PropertyPane is open.
     */
    isPropertyPaneOpen(): boolean;
}
