/**
 * @Copyright (c) Microsoft Corporation.  All rights reserved.
 *
 * @file Internal interface to interact with the Property Pane
 */
import { default as IWebPartData } from '../../core/IWebPartData';
import { IPropertyPaneData } from '../propertyPane/IPropertyPane';
import { WebPartConfigurationEvent } from '../propertyPane/PropertyPaneDefinitions';
/**
 * The minimal interface subset of IClientSideWebPartInternal needed for a control to implement
 * if they want to utilize the Property Pane for configuration through the ClientSideWebPartManager.
 *
 * See IClientSideWebPartInternal
 * @internal - this interface is not exposed to third-party developers.
 */
export interface IPropertyPaneControl {
    _internalDispose(): void;
    _internalGetPropertyPaneData(): IPropertyPaneData;
    _internalOnAfterResize(): void;
    _internalOnConfigurationEvent(configurationEvent: WebPartConfigurationEvent): void;
    _internalOnPropertyPaneFieldChanged(propertyPath: string, newValue: any): void;
    _internalSerialize(): IWebPartData | undefined;
}
