/// <reference types="react" />
import * as React from 'react';
import { IPropertyPaneCustomFieldInternalProps } from './IPropertyPaneCustomField';
/**
 * This component help web part developers add custom components into the PropertyPane.
 * The PropertyPane support a host of inbuilt field types. But that list can never be sufficient.
 * This component fills in the gap by allowing the web part developer to create
 * a custom field type and use the PropertyPane as per their need.
 *
 * @beta
 */
export default class PropertyPaneCustomFieldHost extends React.Component<IPropertyPaneCustomFieldInternalProps, any> {
    private _domElement;
    componentDidMount(): void;
    componentDidUpdate(): void;
    componentWillUnmount(): void;
    render(): React.ReactElement<IPropertyPaneCustomFieldInternalProps>;
    private _onChangedCallback(targetProperty?, value?);
}
