"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = require("react");
var ReactDOM = require("react-dom");
var CUSTOMFIELD_TARGETPROPERTY_PREFIX = '__CustomField_';
var PropertyPaneCustomFieldHost = (function (_super) {
    tslib_1.__extends(PropertyPaneCustomFieldHost, _super);
    function PropertyPaneCustomFieldHost() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    PropertyPaneCustomFieldHost.prototype.componentDidMount = function () {
        this._domElement = ReactDOM.findDOMNode(this);
        this.props.onRender(this._domElement, this.props.context, this._onChangedCallback.bind(this));
    };
    PropertyPaneCustomFieldHost.prototype.componentDidUpdate = function () {
        this.props.onRender(this._domElement, this.props.context, this._onChangedCallback.bind(this));
    };
    PropertyPaneCustomFieldHost.prototype.componentWillUnmount = function () {
        if (this.props.onDispose) {
            this.props.onDispose(this._domElement, this.props.context);
        }
    };
    PropertyPaneCustomFieldHost.prototype.render = function () {
        return (React.createElement("div", { className: 'ms-CustomFieldHost' }));
    };
    PropertyPaneCustomFieldHost.prototype._onChangedCallback = function (targetProperty, value) {
        if (!targetProperty) {
            targetProperty = CUSTOMFIELD_TARGETPROPERTY_PREFIX + this.props.key;
            value = undefined;
        }
        this.props.onChanged(targetProperty, value);
    };
    return PropertyPaneCustomFieldHost;
}(React.Component));
exports.default = PropertyPaneCustomFieldHost;
