/**
 * PropertyPaneSliderProps component props.
 *
 * @public
 */
export interface IPropertyPaneSliderProps {
    /**
     * Description label of the Slider.
     */
    label?: string;
    /**
     * The initial value of the Slider. Use this if you intend to pass in a new value as a result of onChange events.
     *
     * Defaults to min.
     */
    value?: number;
    /**
     * The min value of the Slider.
     */
    min: number;
    /**
     * The max value of the Slider.
     */
    max: number;
    /**
     * The difference between the two adjacent values of the Slider.
     * Defaults to 1.
     */
    step?: number;
    /**
     * Whether to show the value on the right of the Slider.
     *
     * @remarks
     * If you want to show the value by yourself, you may want to set this value to false.
     */
    showValue?: boolean;
    /**
     * A description of the Slider for the benefit of screen readers.
     */
    ariaLabel?: string;
    /**
     * Whether or not the Slider is disabled.
     */
    disabled?: boolean;
}
