/**
 * PropertyPaneToggle component props.
 *
 * @public
 */
export interface IPropertyPaneToggleProps {
    /**
     * A key to uniquely identify the field.
     */
    key?: string | number;
    /**
     * A label for the toggle.
     */
    label: string;
    /**
     * Text to display when toggle is ON.
     */
    onText?: string;
    /**
     * Test display when toggle is OFF.
     */
    offText?: string;
    /**
     * Checked state of the toggle.
     *
     * @remarks
     * If you are maintaining state yourself, use this property.
     */
    checked?: boolean;
    /**
     * Optional disabled flag.
     */
    disabled?: boolean;
    /**
     * Optional onAriaLabel flag. Text for screen-reader to announce when toggle is ON.
     */
    onAriaLabel?: string;
    /**
     * Optional offAriaLabel flag. Text for screen-reader to announce when toggle is OFF.
     */
    offAriaLabel?: string;
}
