/// <reference types="react" />
import * as React from 'react';
import { PageDirection } from '../propertyPane/PropertyPane';
/**
 * Property pane footer properties.
 *
 * @internal
 */
export interface IPropertyPaneFooterProps {
    isReactive: boolean;
    isSaveButtonEnabled: boolean;
    numberOfPages: number;
    currentPage: number;
    onSaveClick: () => void;
    onFlipPage: (direction: PageDirection) => void;
}
export default class PropertyPaneFooter extends React.Component<IPropertyPaneFooterProps, {}> {
    constructor(props: IPropertyPaneFooterProps);
    render(): React.ReactElement<{}>;
    private _renderCommandButtons();
    private _pageNavigationButtons();
    private _arrowKeyIcon(dir);
}
