"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var decorators_1 = require("@microsoft/decorators");
var React = require("react");
var office_ui_fabric_react_1 = require("office-ui-fabric-react");
var PropertyPaneGroup_1 = require("../propertyPaneGroup/PropertyPaneGroup");
var PropertyPanePage_module_scss_1 = require("./PropertyPanePage.module.scss");
var PropertyPanePage = (function (_super) {
    tslib_1.__extends(PropertyPanePage, _super);
    function PropertyPanePage() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    PropertyPanePage.prototype.componentDidMount = function () {
        this.props.setContainerDiv(this._propertyPanePage);
    };
    PropertyPanePage.prototype.render = function () {
        var _this = this;
        var index = 0;
        var propertyGroups = this.props.propertyGroups.map(function (group) { return (React.createElement(PropertyPaneGroup_1.default, { key: group.groupName || index++, pageNumber: _this.props.pageNumber, groupName: group.groupName, groupFields: group.groupFields, onChange: _this.props.onChange, properties: _this.props.properties, setEntryState: _this.props.setEntryState, isCollapsed: group.isCollapsed, displayGroupsAsAccordion: _this.props.displayGroupsAsAccordion, propertyPaneGroupStateChanged: _this.props.propertyPaneGroupStateChanged, propertyPanePagesStateMap: _this.props.propertyPanePagesStateMap })); });
        return (React.createElement("div", { ref: function (c) { return _this._propertyPanePage = c; } },
            this.props.pageDescription
                ? React.createElement("div", { className: office_ui_fabric_react_1.css(PropertyPanePage_module_scss_1.default.propertyPanePageDescription, 'ms-font-m-plus'), id: 'propertyPaneDescriptionId' }, this.props.pageDescription)
                : null
        ,
            propertyGroups));
    };
    PropertyPanePage = tslib_1.__decorate([
        decorators_1.sealed
    ], PropertyPanePage);
    return PropertyPanePage;
}(React.Component));
exports.default = PropertyPanePage;
