"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var sp_telemetry_1 = require("@ms/sp-telemetry");
var sp_core_library_1 = require("@microsoft/sp-core-library");
function executeAndReThrow(method, errorToThrow, logSource) {
    sp_core_library_1.Validate.isNotNullOrUndefined(method, 'method');
    try {
        method();
    }
    catch (e) {
        if (logSource) {
            sp_telemetry_1._TraceLogger.logError(logSource, new Error('Error: ' + e));
        }
        errorToThrow.innerError = e;
        throw errorToThrow;
    }
}
exports.executeAndReThrow = executeAndReThrow;
