/**
 * @Copyright (c) Microsoft Corporation.  All rights reserved.
 *
 * Execute the passed delegate and eat up the exception stack.
 */
import { _ILogSource } from '@ms/sp-telemetry';
/**
 * Execute the passed in delegate with a guarantee that no exception will leak out.
 * Do not use this normally. Only in error handling scenarios where you would like
 * to be defesive.
 * @param {method} method to execute.
 * @apram (optional) {logSource} log source.
 */
export declare function executeWithoutFailing(method: () => void, logSource?: _ILogSource): void;
