define(["require", "exports", "@uifabric/merge-styles/lib/index", "../styles/DefaultPalette", "../styles/index"], function (require, exports, index_1, DefaultPalette_1, index_2) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.ColorClassNames = {};
    for (var colorName in DefaultPalette_1.DefaultPalette) {
        if (DefaultPalette_1.DefaultPalette.hasOwnProperty(colorName)) {
            // Foreground color
            _defineGetter(exports.ColorClassNames, colorName, '', false, 'color');
            // Hover color
            _defineGetter(exports.ColorClassNames, colorName, 'Hover', true, 'color');
            // Background color
            _defineGetter(exports.ColorClassNames, colorName, 'Background', false, 'background');
            // Background hover
            _defineGetter(exports.ColorClassNames, colorName, 'BackgroundHover', true, 'background');
            // Border color
            _defineGetter(exports.ColorClassNames, colorName, 'Border', false, 'borderColor');
            // Border hover color
            _defineGetter(exports.ColorClassNames, colorName, 'BorderHover', true, 'borderColor');
        }
    }
    /**
     * Defines a getter for the given class configuration.
     */
    function _defineGetter(obj, colorName, suffix, isHover, cssProperty) {
        Object.defineProperty(obj, colorName + suffix, {
            get: function () {
                // tslint:disable-next-line:no-any
                var style = (_a = {}, _a[cssProperty] = index_2.getTheme().palette[colorName], _a);
                return index_1.mergeStyles(isHover ? { selectors: { ':hover': style } } : style).toString();
                var _a;
            },
            enumerable: true,
            configurable: true
        });
    }
});
//# sourceMappingURL=ColorClassNames.js.map