import { IRawStyle } from '@uifabric/merge-styles/lib/index';
import { ITheme } from '../interfaces/index';
/**
 * Generates a focus style which can be used to define an :after focus border.
 *
 * @param theme - The theme object to use.
 * @param inset - The number of pixels to inset the border.
 * @param color - The color for the border.
 * @param position - The positioning applied to the container. Must
 * be 'relative' or 'absolute' so that the focus border can live around it.
 * @param highContrastStyle - Style for high contrast mode.
 * @returns The style object.
 */
export declare function getFocusStyle(theme: ITheme, inset?: number, position?: 'relative' | 'absolute', highContrastStyle?: IRawStyle | undefined): IRawStyle;
/**
 * Generates style to clear browser specific focus styles.
 */
export declare function focusClear(): IRawStyle;
