define(["require", "exports"], function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var DirectionalKeyCodes = (_a = {},
        _a[38 /* up */] = 1,
        _a[40 /* down */] = 1,
        _a[37 /* left */] = 1,
        _a[39 /* right */] = 1,
        _a[36 /* home */] = 1,
        _a[35 /* end */] = 1,
        _a[9 /* tab */] = 1,
        _a[33 /* pageUp */] = 1,
        _a[34 /* pageDown */] = 1,
        _a);
    /**
     * Returns true if the keycode is a directional keyboard key.
     */
    function isDirectionalKeyCode(which) {
        return !!DirectionalKeyCodes[which];
    }
    exports.isDirectionalKeyCode = isDirectionalKeyCode;
    /**
     * Adds a keycode to the list of keys that, when pressed, should cause the focus outlines to be visible.
     * This can be used to add global shortcut keys that directionally move from section to section within
     * an app or between focus trap zones.
     */
    function addDirectionalKeyCode(which) {
        DirectionalKeyCodes[which] = 1;
    }
    exports.addDirectionalKeyCode = addDirectionalKeyCode;
    var _a;
});
//# sourceMappingURL=keyboard.js.map