define(["require", "exports"], function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    /**
     * Fetches an item from local storage without throwing an exception
     * @param key The key of the item to fetch from local storage
     */
    function getItem(key) {
        var result = null;
        try {
            result = window.localStorage.getItem(key);
        }
        catch (e) {
            /* Eat the exception */
        }
        return result;
    }
    exports.getItem = getItem;
    /**
     * Inserts an item into local storage without throwing an exception
     * @param key The key of the item to add to local storage
     * @param data The data to put into local storage
     */
    function setItem(key, data) {
        try {
            window.localStorage.setItem(key, data);
        }
        catch (e) {
            /* Eat the exception */
        }
    }
    exports.setItem = setItem;
});
//# sourceMappingURL=localStorage.js.map