define(["require", "exports"], function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    /**
     * Fetches an item from session storage without throwing an exception
     * @param key The key of the item to fetch from session storage
     */
    function getItem(key) {
        var result = null;
        try {
            result = window.sessionStorage.getItem(key);
        }
        catch (e) {
            /* Eat the exception */
        }
        return result;
    }
    exports.getItem = getItem;
    /**
     * Inserts an item into session storage without throwing an exception
     * @param key The key of the item to add to session storage
     * @param data The data to put into session storage
     */
    function setItem(key, data) {
        try {
            window.sessionStorage.setItem(key, data);
        }
        catch (e) {
            /* Eat the exception */
        }
    }
    exports.setItem = setItem;
});
//# sourceMappingURL=sessionStorage.js.map