export declare type RefObject<T> = {
    (component: T | null): void;
    current: T | null;
    /**
     * @deprecated Use .current as that is consistent the official React Api.
     */
    value: T | null;
};
/**
 * This is a polyfill for the React.createRef() api.
 * For more info on React.createRef() see the official React documentation
 * on creating and accessing refs.
 * @see https://reactjs.org/docs/refs-and-the-dom.html#creating-refs
 * @see https://reactjs.org/docs/refs-and-the-dom.html#accessing-refs
 */
export declare function createRef<T>(): RefObject<T>;
